Перейти к содержимому

Поиск по сайту

Результаты поиска по тегам 'P2Pool'.

  • Поиск по тегам

    Введите теги через запятую.
  • Поиск по автору

Тип публикаций


Bitcoin форум

  • Новости и события
    • Новости
    • Статьи Bits.media
    • Мероприятия
  • Разговоры о Bitcoin и криптовалютах
    • Общий
    • Bitcoin
    • Форки Bitcoin, альткоины
    • Блокчейн и финтех
    • Юридические вопросы
    • Кошельки для криптовалют
    • Разработка
    • Безопасность
    • Мониторинг
    • Конкурсы
    • Флейм
  • Экономика & Операции с Bitcoin
    • Экономика
    • Биржи
    • Обменники
    • Трейдинг
    • Магазины и сервисы
    • Краудфандинг и Краудинвестинг
    • Игры, гэмблинг, хайпы, краны
  • Майнинг
    • Общие вопросы по майнингу
    • Пулы совместного майнинга
    • Облачный майнинг и агрегаторы
    • Программы для майнинга
    • Аппаратная часть
  • Барахолка
    • Продажа
    • Покупка
    • Услуги, работа
    • p2p обмен валют
  • О ресурсе Bits.media
    • Предложения и замечания по работе сайта
    • Предложения и замечания по работе форума
    • Предложения и замечания по работе Блога
  • Local
    • English
    • Other

Блоги

  • miner's блог
  • SolomonVR's блог
  • polym0rph's блог
  • AtomicStrike's блог
  • LZ
  • SolomonVR's блог
  • мыслеизлияние
  • Sergey371's блог
  • блог phants'а
  • Nirton's блог
  • loga's блог
  • Viktor Sokolov's блог
  • m134's блог
  • Exdeath's блог
  • yunixon's блог
  • Exdeath's блог
  • egorbtc's блог
  • bronevik's блог
  • R1mlin's блог
  • Рабочий's блог
  • Парадоксальный блог
  • infoman's блог
  • Pa2K's блог
  • PoolSwitcher
  • Garrett's блог
  • forsee1's блог
  • pendalf2008's блог
  • btcshtchka's блог
  • Майнинг Bitcoin
  • Nikita9344_blog
  • Блог Димы
  • Michail's блог
  • Artists for Bitcoin
  • Николай III's блог
  • Artists for Bitcoin
  • ultra's блог
  • Yablya's блог
  • Настройки 7970. Результат 730kh/s в Litecoin
  • SKYnv's блог
  • LuchininAlexandr's блог
  • Kryon's блог
  • Vitto
  • блог нуба
  • Warmrain's блог
  • Новая финансовая система мира
  • ElenaMaaya's блог
  • Шифровалютная экономика
  • kermit's блог
  • Райзеры для видеокарт
  • Виталий's блог
  • Shambler's блог
  • busmainer's блог
  • busmainer's блог
  • полезняшки для себя`s блог
  • AlexShul's блог
  • Помогите если вас не затруднит..Как отметинь выплату BTC...а то мой акаунт зламали и вывели все деньги...
  • HW_from_China's блог
  • app.spec.integra.circuit's блог
  • HW_from_China's блог
  • kolja153's блог
  • neiros' блог
  • Инвестиции в биткоин
  • advodado
  • bronevik's blog
  • Gold Line блог
  • Биткоин Робот
  • Obmen.PM-Сертифицированный партнер платежной системы Perfect Money
  • Antina
  • SHiCK блог
  • Шахтер без шахты
  • Шахтер без шахты
  • Блог пьяного аналитика
  • Блог пьяного аналитика
  • Planetarius' блог
  • Planetarius' блог
  • ObiKenobi's блог
  • RoboBet блог
  • Блог Одного Человека
  • Planetarius' блог
  • Блог Romanov Capital
  • fastesthash.com блог
  • Cryptex
  • sanyatyu's блог
  • TabTrader's блог
  • bitlook
  • нуждаюсь в вашей помощи опытные майнеры!
  • lathyips' блог
  • ironika
  • Познай себя !!!
  • Ult's блог
  • ill359's блог
  • Суровые будни рядового майнера в РФ
  • CEX.io Blog
  • CEX.io
  • Майнинг Gridseed с контроллером Raspberry PI
  • bestcoin's блог
  • SPA
  • Официальный игровой клуб Вулкан
  • Форк будущего, какой он?
  • Btc-Mirbox.com Самая прибыльная программа в интернете
  • Добыча биткоинов
  • majorjora's блог
  • cryptmining.ru
  • блог r2d2
  • РАФАЭЛЬ's блог
  • DDEX блог трейдеров
  • Doomka2014's блог
  • Bitcoin, Litecoin, Doge - С чего начать?
  • dierdan's блог
  • Latium
  • General-Beck's блог
  • кирилллллллллллл's блог
  • tunsash's блог
  • tunsash's блог
  • Rita's блог
  • Philipp's блог
  • Philipp's блог
  • Zarmung's блог
  • CR!PTO Путешествия
  • poop's блог
  • Makezzila's блог
  • GruberCoin - криптовалюта?
  • Gromootvod's блог
  • Одежда с символикой Bitcoin
  • waflya's блог
  • AsicTrade.com
  • Стратегия выхода на зароботок 1 биткоин
  • начать зарабатывать без вложений биткоин
  • saas' блог
  • vov4ik777333's блог
  • Моя история инвестиций в хайпы
  • Блог о Linux внутри майнеров :)
  • Обзор майнеров
  • Socket32's блог
  • Все самое интересное в мире криптовалют one-percent.ru
  • antolmach's блог
  • Alex-ru блог
  • хороший заработок без вложений!
  • По заработку, информация может быть полезна
  • Продам майнер BITMAIN S3
  • asket said...
  • Куда нужно вкладывать свои средства ,чтобы их не потерять и даже заработать на них!!!
  • Ёжики GC3355 - апгрейд (жизнь после "Телеги")
  • En1ken's блог
  • Александр Ch's блог
  • Почему сегодня не открывается сайт bitcoin.org
  • moneymaker's блог
  • НОВЫЕ ХАЙПЫ
  • poiuty's блог
  • Viktor1123's блог
  • golub's блог
  • anajik's блог
  • igorwhite's блог
  • algol68's блог
  • Khamid Sattarov's блог
  • anajik's блог
  • tankist's блог
  • wfdim's блог
  • Ixion's блог
  • BitcoinBank блог
  • fantom's блог
  • Neotex's Blog
  • Александр Самойлов_12600's блог
  • hterw's блог
  • ivanech's блог
  • Новый хайп
  • goodusers' блог
  • motozikl's блог
  • Необыкновенное будущее
  • AndreyNag's блог
  • italiy82's блог
  • Nook89's блог
  • Сибирский червонец
  • interesnye-novosti
  • Биткойномат
  • zzzzz12's блог
  • exspert'bitkoin
  • Александр Глобальный's блог
  • Взрывной Пакет по Заработку Биткоин!
  • Kerver's блог
  • Азартные просторы
  • Компьютерный мастер Баку (опытный мастер)
  • mjauka's блог
  • Vladimir77's блог
  • Joe Black's блог
  • ТоТсамый's блог
  • Kolja's блог
  • antontmn's блог
  • Взрывной Супер Пакет - Как Заработать Без Вложений !!
  • Bordz's блог
  • TheFuzzStone's Blog
  • AndreyNag's Create own PEERCOIN NODE блог
  • demio's place
  • Обменяю ваши WMZ на мои PAYPAL
  • Moonfire's блог
  • Майнер Эфира и Декреда от Claymore
  • nik888's блог
  • EDRCoin info
  • D-APPS
  • 1620$ за 9 дней! заинтересованы ?! пишите в сообещния!
  • Mining bitcoin from farm Hashocean
  • Grail's блог
  • автоматизация процессов
  • Easy Money
  • BLOG Мир Интернет Бизнеса
  • besser99
  • Blog Мир Интернет Бизнеса
  • Blog Julin Gys
  • Coin's блог
  • observer btc-e, наблюдатель BTC-E.COM
  • Заработок биткоинов
  • Дмитрий1839's блог
  • Gridseed GC3355
  • Karasur's блог
  • Right13's блог
  • tanya310119911's блог
  • Swisscoin-Швейцарская криптовалюта
  • Биткоин, путь к луне
  • fancyfinance
  • Evgeny 34's блог
  • Arcady's блог
  • THWGLOBAL
  • solnecno's блог
  • andr1986's блог
  • Заработок в интернете с нуля + халява
  • Alexey654321's блог
  • aleco's blog
  • Tomfox's блог
  • poolminers
  • dini_pal's блог
  • Черновик
  • vovchik's блог
  • KolesCoinNews' блог
  • MONERO FOUNDATION RUSSIA™
  • альбина32's блог
  • ICONOMI до конца ICO 8 дней
  • Vladimir Eliseev's блог
  • Vanya Wang's блог
  • Btc Coin's блог
  • papa_medbedb's блог
  • 6000 сатоши в час. Узнай как!!!
  • BITCOIN блог
  • Свирепый Гарри's блог
  • Sahat's блог
  • Подпишитесь на инстаграмм пожалуйста
  • LeoKartman's блог
  • Se7eN's
  • Снижаем расходы на электричество
  • SERHIY's блог
  • Фаридун's блог
  • ICO (Краудфандинг)
  • Cryptohawk's блог
  • arbitrader's блог
  • ОлегХомин's блог
  • slavserver's блог
  • Enzo's блог
  • masterigr2016's блог
  • kurs.expert блог
  • datachains.world Русский Блокчейн 3.0
  • Закрытый клуб BitClub Network
  • Sayat Ibraev's блог
  • maksim2030's блог
  • ZORROZ's блог
  • vvka's блог
  • скажите кто знаком долго будит жить этот хайп типо майнинг
  • BitClub Network
  • Краудсейл Augmentors ICO
  • Динар's блог
  • disodium
  • Новые краны по сбору биткоинов
  • Pedro
  • Selling account/продажа аккаунта
  • Как обменять Биткоин в Рубли
  • Заработай играя
  • Genesis Mining Russia's блог
  • Гена's блог
  • Гена's блог
  • Baccarat_1
  • Genesis Mining Russia's блог
  • Work-bitcoin
  • Siberian Miners
  • mike0013's блог
  • Внимание Новинка BTCHAMP
  • LeslyGarold's блог
  • Объясни бабуле криптовалюты
  • New bitcoin dice
  • ★ Global Success ★
  • isadora's блог
  • Prince tv's блог
  • КриптоМир блог
  • Блог BitBetNews
  • Cryptotrend
  • BitBetNews' блог
  • AlamurFury's блог
  • AlamurFury's блог
  • doBETacceptBET's блог
  • postscreen's блог
  • Krot's блог
  • МаршалНиколас's блог
  • Самый лучший майнинг биткоинов и других криптовалют
  • Игровые автоматы. Обзор популярных слотов
  • Bitbetnewss' блог
  • barrygoldwon
  • Мошенничество в глобальном масштабе
  • Marina_Aco_M's блог
  • Leon Organo's блог
  • Nikolai Tran's блог
  • Colonizator's блог
  • KriptoKurs блог
  • isa2016's блог
  • Ivan.Sologub
  • Анжелика9808's блог
  • fxseminar's блог
  • Альберт Карачурин's блог
  • Bitcoin
  • isalm's блог
  • Yur1K's блог
  • Нервная система
  • Нервная система
  • Крипто-Проекты
  • comof2014's блог
  • Sand Coin
  • bitaps.com
  • 1 Bitcoin в месяц легко
  • BIP148
  • HEAgEKBATEH's блог
  • Miner42's блог
  • ChangeKripta's блог
  • mediavoice's блог
  • realestate's блог
  • куплю мощности на hashflare SHA-256 SCRYPT
  • proshift's блог
  • Stan Podyachev's блог
  • CNstuff's блог
  • Alex Lee's блог
  • RX470+RX460 падает хешрейт
  • Макроэкономика криптовалют
  • Криптовалюты и ICO
  • NV42Rus' блог
  • Николай Еременко's блог
  • deg237's блог
  • Bit Bet News' блог
  • xcilog's блог
  • YaNeFiShKa's блог
  • Соломон's блог
  • 23
  • Натур. Мясцо
  • AEON растёт в геометрической прогрессии-хватаем халяву
  • Про биткоин в России
  • Investy
  • Оборудование в стоках и фьючерсах. Китай.
  • адрес
  • HOQU
  • VitalyKaminsky
  • HOQU_rus
  • Грека через реку
  • CryptoCapitalNews
  • Finom Blockchain Blog
  • Запас прочности Биткоина.
  • Everex
  • Человеческий
  • GoldMineCoin
  • Kolbasska
  • Блог Трейдера
  • TombCare
  • CREDO - СИСТЕМА ОПЛАТЫ СЛЕДУЮЩЕГО ПОКОЛЕНИЯ
  • Сатош
  • G-obmen
  • Revolutionising the 3 core functions of finance.
  • TH
  • Заработок в интернете
  • Privateers.Life - Пиратская ММО на Blockchain
  • Все просто! Все слухи про Биткоин

Календари

  • Календарь блокчейн мероприятий

Категории

  • Кошельки
  • GPU майнеры
  • CPU майнеры
  • Драйверы
    • AMD
    • Nvidia
  • Прошивки ASIC майнеров
    • SHA2
    • Scrypt
    • X11
  • Прошивки видеокарт
  • Утилиты
  • Софт для трейдинга
  • Софт для мониторинга



Фильтр по количеству...

Найдено 30 результатов

  1. В процессе подготовки группы майнеров для работы на п2пуле BCC/BCH я получил информацию (она есть на страницах 2 и 3) о возможных ошибках в коде пула. вся работа приостанавливается.Энтузиасты - одиночки учтите это предупреждение. Авторитетные майнеры предупредили нас вовремя - доверять п2пулу BCC не стоит. 21.10.2017 г. Появление этой монеты сопровождалось сплошным негативом, но накал страстей поутих.Стали появляться пулы, пошел майнинг. Все убедились в том,что победить биткоин оказалось не так то просто, как кому то хотелось.Итак, хотелки кончились,начался майнинг. BCC торгуется по цене около 420 баксов. Есть P2pool BCC/BCH. Есть несколько нод (не знаю чьи они,если кто может добавляйте инфу stratum+tcp://bch.coinminer.space:5964 stratum+tcp://31.214.242.111:5964 ( на этой лучшие результаты ) Возможно,народ подтянется,мощность вырастет,будут блоки. А пока, мечтать не вредно и теорию вероятности ещё не отменили. Можно ждать год или три, а практика знает примеры нахождения блоков на совсем маленькой мощности (при невысокой сложности) Сейчас сложность BCC /она ниже намного/ несоизмерима с параметрами биткоина. Может навалимся сообща ? P.S. если наше сообщество посчитает мой пост вредным и способствующим врагам битка, прошу не выходить за рамки приличий.А пост удалю нахрен. но майнить то хочется с профитом. не мне одному,наверное ...... как думаете?
  2. Запустил ноды p2pool'а в Москве. Сервер мощный, стоит в датацетре. Пинг у Москвы, Моc. области, да и ЦФО должен быть отличный и DOA низкий. Fee на нодах 0%, пока идет отладка. Велкам :) Belacoin [bELA][scrypt] — http://p2p-msk.xyz:7878 Fee — 0% ASIC configuration: POOL - "stratum+tcp://p2p-msk.xyz:7878", USER - "Your_BELA_PayoutAddress", PASSWORD - "111" Gulden [NLG][scrypt] — http://p2p-msk.xyz:27100 Fee — 0% ASIC configuration: POOL - "stratum+tcp://p2p-msk.xyz:27100", USER - "Your_NLG_PayoutAddress", PASSWORD - "111" Обратите внимание: Как работает p2pool, как происходят выплаты отлично описано тут. Оперативная поддержка в телеграмм — https://t.me/p2pool Хочу сказать спасибо двум энтузиастам p2pool движения, которые помогли поднять ноды: @ISawa и @kr1z1s!
  3. Хочу представить Вам о новый п2пул(p2pool) http://sib.l2tor.ru для майнинга набирающей популярность монеты Sibcoin. Мгновенные выплаты майнерам, онлайн отслеживание суммы и хешрейта майнера, низкая комиссия пула 0,5%. Возможность майнинга даже небольшими мощностями. Присоединяйтесь!
  4. Now: Вторая попытка. Ннайдено уже 4 блока. Пул работает на базе софта p2pool, но изолирован от общей p2pool сети - то есть является независимым пулом. НЕ СОЛО. Комиссия на текущий момент - 0% На кошелёк бирж не копать! При наличии интереса подключиться - пишем в тему или мне в личку свою мощность. Всем коллегам, кому дал адрес - просьба в паблик не светить и "дайбатникам" не давать. Пущай хомячьё кормит Найс и прочие... History: 03-2017 Пул создан. Первая попытка оказалась неудачной - мощности на блок не бралось. 17-03-2017 Коллеги - многие пишут в личку, потому решил создать тему. Как все знаем - сейчас DASH бьёт все рекорды по профитности и росту. И многие ещё активнее ломанулись его копать. Это раз. У меня, во-первых, уже давно есть нода p2pool-а для этой монетки - http://dash.newco.in:7903/static/ - на которую тоже многие просятся и многие там сидят успешно, а во-вторых - есть опыт создания приватного и полуприватных пулов "для друзей" для разных монеток - вот люди и спрашивают. Так вот - есть ли интерес к созданию такого приватного пула для DASH? Из тех минусов, которые будут - озвучиваю сразу. На текущий момент единственное внятно работающее "пульное" ПО для DASH - это p2pool. Все мои попытки узнать у разработчиков, работает ли solo на кошельке или работает ли популярный движок для пулов NOMP с DASHd - закончиличь ничем. То-ли там лобби пуловодов, то-ли они охренели от роста крса и им не до чего. Так вот - приватный пул на текущий момент можно сделать только на базе p2pool - отрезав его от "внешнего мира" - я это успешно делал, сейчас такой стоит в качестве solo-решения для моих Байкалов, но мощи маловато - пока только 1 орфан. В тестнете всё отлично работает. Кто работал с p2pool - его особенности знает - красивой статистики минимум, но техническая часть отличная. Если интерес есть - готов сделать. Адрес, естественно, светить не буду и все приглашения только через личку. Если нет - ну на нет и суда нет.
  5. p2pool.kz В данный момент доступны ноды: Vertcoin (VTC) Lyra2REv2 Feathercoin (FTC) NeoScrypt Dash (DASH) x11 Node Fee: 0% Node Donation: 0% Сервер в Нидерландах... Отличный пинг...
  6. Пул совместного майнинга DASH кому интересно подключайтесь http://95.53.247.188:7903/static/ Пример настройки майнера: ccminer -a x11 -o stratum+tcp://95.53.247.188:7903 -u Адрес_вашего_DASH_кошелька -p Любой_пароль ccminer-1-8-dev-tpruvot-x11.zip
  7. Граждане, help! Не могу понять что произошло. Antminer S5 перестали майнить на f2pool, все отваливаются, до этого проблем не было, перепробовал уже все что можно!
  8. Создание собственного пула UNOMP+MPOS+Merged Mining Добро пожаловать в БЛОГ Огромная просьба не оставлять в этой теме комментарии, а все осуждения вести в блоге
  9. Создание собственного пула UNOMP+MPOS+Merged Mining. Поддерживающий Stratum и Vardiff. И так приступим к созданию собственного пула с мергедом и плюшками. Тестовая версия пула будет основана на Bitcoin и Unobtanium. Данная инструкция дает возможность настроить пул практически на любую монету с любым алгоритмом. Внимание дальше очень много букафф и картинок! :o Если обнаружите недочеты - пишите поправим. Я использую Ubuntu Server 14.04.3 LTS -- скачать. Для удобства навигации и редактирования в Ubuntu Server используйте программу mc Для удобства навигации и редактирования в Windows используйте программу WinSCP Систему установили, обновляемся: $ sudo apt-get update$ sudo apt-get upgrade$ sudo apt-get dist-upgrade$ sudo reboot Установим необходимые пакеты и зависимости: $ sudo apt-get install build-essential libtool autotools-dev autoconf pkg-config libssl-dev$ sudo apt-get install libboost-all-dev git mc htop npm nodejs nodejs-legacy libminiupnpc-dev redis-server Установим nvm $ curl https://raw.githubusercontent.com/creationix/nvm/v0.16.1/install.sh | sh$ source ~/.profile$ nvm install 0.10.25$ nvm use 0.10.25 Изменим лимиты в /etc/security/limits.conf $ sudo nano /etc/security/limits.conf# В конце перед end дописываем такие строки:* soft nofile 1000000* hard nofile 1000000# Сохраняемся "Ctrl+o" и "Ctrl+x"Должно получиться как на скриншоте. Подредактируем (изменим размер буфера передачи) нашу сетевую карточку в /etc/rc.local $ sudo nano /etc/rc.local# В конце перед exit дописываем строку:/sbin/ifconfig eth0 txqueuelen 10000# Сохраняемся "Ctrl+o" и "Ctrl+x"Должно получиться как на скриншоте. Перезагружаем наш сервер $ sudo reboot Проверим наши изменения $ ulimit -n$ ifconfigДолжно быть как на скриншоте. Проверим как работает redis server, для этого запустим его. $ redis-server Скорее всего редис выдаст ошибку как на скриншоте: "WARNING overcommit_memory is set to 0!" Поправим это $ sudo nano /etc/sysctl.confВ конце дописываем строку:vm.overcommit_memory=1# Сохраняемся "Ctrl+o" и "Ctrl+x"Перезагружаем сервер$ sudo rebootПроверяем редис$ redis-serverОшибок не должно быть.Смотри скриншот. Так с этим покончили, переходим к демонам наших криптомонет. Устанавливаем Bitcoin $ sudo add-apt-repository ppa:bitcoin/bitcoin$ sudo apt-get update$ sudo apt-get install libdb4.8-dev libdb4.8++-dev$ sudo apt-get install bitcoind Создаем файл bitcoin.conf $ mkdir ~/.bitcoin$ nano .bitcoin/bitcoin.conf# Записываем туда:server=1daemon=1rpcuser=server ## Не забудьте поменять на свой более сложный логин! rpcpassword=ServerPass ## Не забудьте поменять на свой более сложный пароль!port=8333rpcport=8332rpcallowip=127.0.0.1upnp=0 Создаем скрипт авто-запуска демона Bitcoin Основа скриптов это файл "skeleton" находящийся по пути /etc/init.d $ cd /etc/init.d/$ sudo cp skeleton bitcoind$ sudo nano bitcoind# Далее вносим следующие изменения:#! /bin/sh### BEGIN INIT INFO# Provides: bitcoind# Required-Start: $network $local_fs# Required-Stop: $remote_fs# Default-Start: 2 3 4 5# Default-Stop: 0 1 6# Short-Description: Auto init bitcoind# Description: Auto init bitcoind via booting system# placed in /etc/init.d.### END INIT INFO# Author: Wzor <poolcrypto.org@gmail.com>## Please remove the "Author" lines above and replace them# with your own name if you copy and modify this script.# Do NOT "set -e"# PATH should only include /usr/* if it runs after the mountnfs.sh scriptPATH=/sbin:/usr/sbin:/bin:/usr/binDESC="Bitcoin daemon"NAME=/usr/bin/bitcoindDAEMON=$NAMEDAEMON_ARGS="-daemon"CLI=/usr/bin/bitcoin-cliDAEMON_LOADER=$DAEMONPIDFILE=/var/run/$NAME.pidSCRIPTNAME=/etc/init.d/$NAMECHUID=server:server# Exit if the package is not installed[ -x "$DAEMON" ] || exit 0# Read configuration variable file if it is present[ -r /etc/default/$NAME ] && . /etc/default/$NAME# Load the VERBOSE setting and other rcS variables. /lib/init/vars.sh# Define LSB log_* functions.# Depend on lsb-base (>= 3.2-14) to ensure that this file is present# and status_of_proc is working.. /lib/lsb/init-functions## Function that starts the daemon/service#do_start(){ # Return # 0 if daemon has been started # 1 if daemon was already running # 2 if daemon could not be started start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON_LOADER --test > /dev/null \ || return 1 start-stop-daemon --start --quiet --chuid $CHUID --pidfile $PIDFILE --exec $DAEMON_LOADER -- \ $DAEMON_ARGS \ || return 2 # Add code here, if necessary, that waits for the process to be ready # to handle requests from services started subsequently which depend # on this one. As a last resort, sleep for some time.}## Function that stops the daemon/service#stop_daemon_by_cli(){ #[ ! -e "$PIDFILE" ] && echo "$DESC not running!" && return 0 start-stop-daemon --start --chuid $CHUID --exec $CLI -- -rpcwait stop return 0}do_stop(){ # Return # 0 if daemon has been stopped # 1 if daemon was already stopped # 2 if daemon could not be stopped # other if a failure occurred stop_daemon_by_cli start-stop-daemon --stop --quiet --chuid $CHUID --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $NAME RETVAL="$?" [ "$RETVAL" = 2 ] && return 2 # Wait for children to finish too if this is a daemon that forks # and if the daemon is only ever run from this initscript. # If the above conditions are not satisfied then add some other code # that waits for the process to drop all resources that could be # needed by services started subsequently. A last resort is to # sleep for some time. start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON [ "$?" = 2 ] && return 2 # Many daemons don't delete their pidfiles when they exit. rm -f $PIDFILE return "$RETVAL"}## Function that sends a SIGHUP to the daemon/service#do_reload() { # # If the daemon can reload its configuration without # restarting (for example, when it is sent a SIGHUP), # then implement that here. # start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME return 0}case "$1" in start) [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME" do_start case "$?" in 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;; 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;; esac ;; stop) [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME" do_stop case "$?" in 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;; 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;; esac ;; status) status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $? ;; #reload|force-reload) # # If do_reload() is not implemented then leave this commented out # and leave 'force-reload' as an alias for 'restart'. # #log_daemon_msg "Reloading $DESC" "$NAME" #do_reload #log_end_msg $? #;; restart|force-reload) # # If the "reload" option is implemented then remove the # 'force-reload' alias # log_daemon_msg "Restarting $DESC" "$NAME" do_stop case "$?" in 0|1) do_start case "$?" in 0) log_end_msg 0 ;; 1) log_end_msg 1 ;; # Old process is still running *) log_end_msg 1 ;; # Failed to start esac ;; *) # Failed to stop log_end_msg 1 ;; esac ;; *) #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2 echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2 exit 3 ;;esac: Незабываем в CHUID изменить пользователя и группу на свои это от кого будет запускаться демон Bitcoin Далее # Делаем скрипт исполняемым (находимся в папке /etc/init.d)sudo chmod +x bitcoind# Выходим из папки /etc/init.d и Запускаем скрипт:/etc/init.d/bitcoind# Должна появиться строка "{start|stop|restart|reload|force-reload}" нас интересует "start" и "stop"/etc/init.d/bitcoind start# Проверяем запустился демон Bitcoin утилитой "htop"sudo htop# Если видим как на скрине то все ОК если нет ищем ошибки!!!# Остановка нашего демона /etc/init.d/bitcoind stop # Если старт-стоп происходит без ошибок добавляем скрипт а автозагрузку sudo update-rc.d bitcoind defaults # С этого момента демон Bitcoin будет запускаться и останавливаться сам при включении или отключении сервера!!!# Если нужно удалить из автостарта то выполняем следующую команду sudo update-rc.d -f bitcoind remove Устанавливаем Unobtanium $ sudo apt-get install libevent-dev$ git clone https://github.com/unobtanium-official/Unobtanium.git unobtanium$ cd unobtanium$ chmod +x autogen.sh$ chmod +x share/genbuild.sh$ chmod +x src/leveldb/build_detect_platform$ ./autogen.sh $ ./configure --enable-upnp-default --with-miniupnpc $ make # Можете для "make" использовать ключ -j для быстрой сборки демона. Например "make -j4" где "4" количество ядер процессора $ sudo make install # Если хотите установить в /usr/local/bin Создаем файл unobtanium.conf $ mkdir ~/.unobtanium$ nano .unobtanium/unobtanium.conf# Записываем туда:server=1daemon=1listen=1rpcuser=server1 ## Не забудьте поменять на свой более сложный логин! rpcpassword=ServerPass1 ## Не забудьте поменять на свой более сложный пароль!port=65534rpcport=65535rpcallowip=127.0.0.1addnode=104.131.25.221addnode=108.61.10.90addnode=137.135.57.119addnode=144.76.239.66addnode=144.76.64.123addnode=158.255.89.244addnode=162.216.4.199addnode=162.243.47.14addnode=167.114.156.87addnode=178.33.209.208addnode=178.62.145.250addnode=185.50.213.123addnode=188.138.33.239addnode=188.138.94.6addnode=192.95.29.153addnode=192.99.245.21addnode=195.117.180.229addnode=198.15.127.242addnode=199.192.77.162addnode=199.192.78.194addnode=203.206.142.19addnode=63.247.147.166addnode=64.156.193.100addnode=68.232.186.171addnode=69.197.61.58addnode=74.120.220.54addnode=74.131.163.95addnode=75.19.27.26addnode=79.251.172.84addnode=91.235.254.37addnode=92.3.42.66addnode=93.197.227.99addnode=94.23.32.109 По аналогии с Bitcoin создайте скрипт авто-запуска демона Unobtanium Все с монетами покончили идем дальше. Устанавливаем UNOMP пул. $ git clone https://github.com/UNOMP/unified-node-open-mining-portal.git unomp$ cd unomp$ sudo npm update Должно закончиться без ошибок. приблизительно как на скриншоте. Приступаем к конфигурированию UNOMP пула. # Создаем config.json из config.json.example$ cp config.json.example config.json $ cd# Получаем номер своего кошелька Bitcoin. Он нам потребуется дальше.$ bitcoin-cli getnewaddress# Сохраняем его куда нибудь.$ cd unomp/pool_configs$ cp litecoin.json.example bitcoin.jsonРедактируем bitcoin.json (Для удобства в Windows можете отредактировать его через WinSCP или nano в Ubuntu)1. В "enabled" меняем false на true2. В "coin" меняем litecoin.json на bitcoin.json3. В "auxes" меняем lottoshares.json на unobtanium.jsonТам же в "port":, "user", "password" меняем на свои из unobtanium.conf4. В "address" меняем на свой ранее сгенерированный кошелек.5. В "rewardRecipients" я меняю указанные там значения на вскую ерунду например ставлю "111"6. В "minimumPayment" ставим 0.00017. В "daemon" где "port", "user", "password" меняем на свои из bitcoin.conf8. В "ports" порт 3032 меняем на 3333Там же в "maxDiff" ставим 4096 или больше 81929. В "daemons" где "port", "user", "password" меняем на свои из bitcoin.conf Должно получиться как на скриншотах Приступаем к тестовому запуску UNOMP пула. # Перед запуском проверьте синхронизировались демоны наших монет!$ cd unomp$ sudo node init.js Если все OK то должно быть как на скриншоте: Заходим на веб страничку пула http://ваш_ip_адрес_пула/ Должно быть как на скриншоте: Можно начинать майнить: URL stratum+tcp://ваш_ip_адрес_пула:3333Worker ваш_кошелек_bitcoinпароль любой После устранения каких нибудь недочетов нам нужно чтобы в случае отвала node init.js она сама восстановила свою работу Для этого установим Forever $ cd$ cd unomp$ sudo npm install forever -g# Запускаем наш пул$ sudo forever start init.js# Чтобы остановить$ sudo forever stop init.js Вот у нас готовый UNOMP пул с Merged-ом! Можно на этом остановиться. Но нам же все мало.... Нам давай там всякие Апачи, Базы данных MySQL, Регистрацию на пуле. Ну вообщем побольше геморроя... И так продолжаем.... Начнем с установки пароля для root он нам дальше понадобится. $ sudo passwd root# Вводим придуманный пароль два раза. Установим дополнительные пакеты и MySQL $ sudo apt-get install build-essential libboost-all-dev libcurl4-openssl-dev libdb5.1-dev libdb5.1++-dev mysql-server MySQL потребует ввести пароль рута. Смотри скриншоты: Установим дополнительные пакеты для MPOS пула. И перезапустим apache $ sudo apt-get install memcached php5-memcached php5-mysqlnd php5-curl php5-json libapache2-mod-php5$ sudo apache2ctl -k stop; sleep 2; sudo apache2ctl -k start После данных действий, если вы зайдете на веб страничку вашего сервера должны увидеть как на скриншоте: Дальше надо будет изменять конфигурационные файлы апач и устанавливать базу данных. Все это можно сделать так сказать руками, но не все могут работать в консоле так что для облегчения выполнения задания привлечем дополнительные графические программы это Webmin и phpMyAdmin Установим Webmin. Webmin — это графический web интерфейс для управления сервером на базе Unix подобных операционных систем. То есть установив Webmin вы можете удалённо конфигурировать и управлять Linux сервер в удобном графическом интерфейсе. Добавляем репозиторий Webmin, редактируем файл /etc/apt/sources.list: $ sudo nano /etc/apt/sources.list В самом конце добавляем строку: deb http://download.webmin.com/download/repository sarge contrib Сохраняем изменения Ctrl+o Enter и закрываем редактор Ctrl+x Устанавливаем GPG ключ: $ wget http://www.webmin.com/jcameron-key.asc$ sudo apt-key add jcameron-key.asc Устанавливаем Webmin для этого вводим команду: $ sudo apt-get update$ sudo apt-get install webmin Запустить Webmin можно через браузер для этого введите следующий адресу в строку url: https://ваш_ip_адрес_сервера:10000 Вводим логин root и пароль от рута. Смотри скриншот: Дальше установим phpMyAdmin $ sudo apt-get install phpmyadmin# Выбираем apche2, далее будет предложено настроить базу данных соглашаемся, потом вводим пароль от рута Смотри скриншоты: На всякий случай перезапустим Апач $ sudo service apache2 reload Заходим на веб страничку phpmyadmin http://ваш_ip_адрес_сервера/phpmyadmin Смотри скриншоты: Если видим ошибку (Расширение mcrypt не найдено. Пожалуйста, проверьте ваши настройки PHP.) как выше на скрине. То проделываем следующие $ sudo php5enmod mcrypt$ sudo service apache2 restart Ошибка должна пропасть. Переходим к установке MPOS пула. $ git clone https://github.com/MPOS/php-mpos.git mpos Установим базу данных. Заходим под рутом в phpmyadmin http://ваш_ip_адрес_сервера/phpmyadminДалее "Пользователи" Смотри скриншот: Создаем учетную запись.Я назвал "poolbitcoin"Генерируем пароль. # Запоминаем его.Ставим галочку где "Создать базу данных с именем пользователя в названии и предоставить на нее полные привилегии"Сохраняемся "OK"Подробности смотри скриншоты: Скачаем себе на компьютер MPOS в виде архива > Распаковываем архив, нас там интересует папка "sql"> Дальше опять идем в phpmyadmin выбираем своего пользователя в данном примере это "poolbitcoin"> Нажимаем "Импорт"> Нажимаем "Выберите файл"> Выбираем нашу базу данных "000_base_structure.sql"> Нажимаем "OK"Подробности в скриншотах: Дальше начинаем так сказать связывать наш UNOMP пул с MPOS пулом. Отредактируем файл "config.json" по пути unomp/config.json (как угодно через WinSCP или nano)$ cd$ nano unomp/config.json# Изменяем в "website" где "enabled" true на false# Сохраняем изменения Ctrl+o Enter и закрываем редактор Ctrl+xСмотри скриншот: Отредактируем файл "bitcoin.json" по пути unomp/pool_configs/bitcoin.json (как угодно через WinSCP или nano) $ cd$ nano unomp/pool_configs/bitcoin.json# Изменяем в "paymentProcessing" где "enabled" true на false# Изменяем в "mposMode" где "enabled" false на trueТам же:В "user" меняем на то что регистрировали в phpmyadmin в данном примере это "poolbitcoin";В "password" пароль что ранее нам сгенерировал phpmyadmin в данном примере это "tbXJUvJ7THDVeHpQ";В "database" на название нашей базы в данном примере это "poolbitcoin";Меняем "checkPassword" с false на true # Сохраняем изменения Ctrl+o Enter и закрываем редактор Ctrl+xПодробности в скриншотах: Если на пуле будет предусмотрена регистрация то надо подумать о почтовом сервере. Проще воспользоваться бесплатным почтовым ящиком от gmail.com Хороша и подробная инструкция по настройке postfix + gmail здесь Приступаем к конфигурированию MPOS пула. MPOS пул мы скачали раньше. $ cd$ cd mpos# Установим разрешения для www-data$ sudo chown -R www-data templates/compile templates/cache logs Создадим файл global.inc.php из global.inc.dist.php находящийся по пути mpos/include/config/ $ cd$ cd mpos/include/config/$ cp global.inc.dist.php global.inc.php# Редактируем global.inc.php через nano или WinSCP вообщем как удобно.# Внимание для разных алгоритмов значения в этом файле будут разные!!!$ nano global.inc.php> Находим ['SALT'] и ['SALTY'] вносим туда рандомный набор цифр букв от 25 символов, причем ['SALTY'] должен быть на несколько символов больше.> В ['algorithm'] меняем на наш алгоритм в данном примере это "sha256d"> В Database configuration где ['user'], ['pass'], ['name'] вносим все данные что раньше нам выдал phpmyadmin> В Local wallet RPC где ['host'], ['username'], ['password'] все вписываем из bitcoin coinf> В Getting Started Config где ['coinname'] меняем на нашу крипто-валюту в данном случае на Bitcoin;['coinurl'] --- https://bitcoin.org;['stratumurl'] --- localhost или можно получить бесплатный домен DDNS и в писать туда доменное имя.> В Ticker API можно настроить вывод курса крипто-валюты.Где ['enabled'] меняем false на true;Где ['target'] прописываем API биржи в данном случае биржа btc-e "/api/2/btc_usd/ticker"> В Automatic Payout Thresholds где ['ap_threshold']['min'] меняем на 0.0001; в ['ap_threshold']['max'] на 100> В Minimum manual Payout Threshold где ['mp_threshold'] меняем на 0.0001> В Currency где ['currency'] меняем на свою крипто-валюту в данном примере "BTC"> В Coin Target где ['cointarget'] меняем на "600" Внимание у разных криптомонет это значение разное.> В TX Fees где ['txfee_auto'] и ['txfee_manual'] меняем на 0.0001> В Payout System где ['payout_system'] по умолчанию система выплат вознаграждений prop можно прописать pplns или pps> В Pool Fees где ['fees'] можно установить комиссию пула> В Block Reward где ['reward'] это количество монет в блоке меняем на "25"> В Confirmations где ['confirmations'] меняем на 101, и в ['network_confirmations'] меняем на "101" Это подтверждения. Внимание у разных криптомонет это значение разное.# Сохраняем изменения Ctrl+o Enter и закрываем редактор Ctrl+x Так, отлично с этим справились идем дальше. Начинаем конфигурировать Apache. # Идем в Webmin https://ваш_ip_адрес_сервера:10000> дальше выбираем Servers > Apache Webserver > Virtual ServerТам дальше где Virtual Server Details меняем путь с /var/www/html на свой в моем примере это /home/server/mpos/publicСохраняемся нажимаем SAVEИдем в Global configuration > Edit Config Files там в конце файла вносим такие строки:<Directory /home/server/mpos/public> Options Indexes FollowSymLinks AllowOverride None Require all granted</Directory>## Обратите внимание что в место где server должен быть ваш пользователь.!!!Сохраняемся ----> SAVE и применим наши изменения Apply Changes# Подробности смотри скриншоты: Урааа мы практически на финишной прямой. # Заходим через браузер на ip вашего сервера http://ваш_ip_адрес_сервера# Должна загрузиться стартовая страница MPOS пула# Смотри скриншот:# Если нет то повторите процедуру с установкой разрешений для www-data$ sudo chown -R www-data templates/compile templates/cache logs # Дальше регистрируем нового пользователя он же будет администратором.# Заходим под свои логином# Если не настраивали почтовый сервис то идем Admin Panel > System > Settings > System и в Disable e-mail confirmations меняем значение с NO на YES Сохраняемся ----> SAVEПодробности смотри скриншот: # Дальше для будущего теста создадим воркера# Идем My Account > My Workers содаем воркераСмотри скриншот: Переходим к настройке Cronjob # Для этого вернемся в Webmin https://ваш_ip_адрес_сервера:10000# Дальше System > Scheduled Cron Jobs > Create a new scheduled cron job > в Execute cron job as выбираем пользователя в данном примере это server > в поле Command прописываем путь до наших cronjobs для:> run-statistics.sh> run-maintenance.sh> run-payout.sh# Только не все подряд, а по очереди после сохранения (Create)# Не забудьте в разделе Minutes выбрать вручную все минуты # Подробности смотри скриншоты: # Так сделали, теперь быстренько идем на свой пул http://ваш_ip_адрес_сервера# В раздел Admin Panel > System > Monitoring и должны увидеть что все Cronjob активны# Смотри скриншот: Аллилуйя!!! начинаем тестовый запуск пула!!! $ cd unomp$ node init.js# Должно быть как на скриншоте: Можно начать тестовый майнинг # Воркера мы создали раньше.# Настраиваем майнер> URL --- stratum+tcp://ваш_ip_адрес_сервера:3333> Логин --- вписываем свой воркер> Пароль --- пароль воркера# В системных настройках можно изменить вид отображения статистики сменить с Kh/s на Mh/s, Gh/s, Th/s и внести разные другие настройки.# Думаю что с этим вы сами разберетесь:)# Смотри скриншот: После устранения всех недостатков и тонкой настройки пула запускаем его с Forever $ cd unomp# Запускаем наш пул$ forever start init.js# Чтобы остановить$ forever stop init.js И в заключении мы имеем пул UNOMP+MPOS поддерживающий Stratum и Vardiff Что я здесь пропустил так это настройки безопасности. Попозже это доделаю! :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) :) Если моя статья пригодилась и понравилась меня можно отблагодарить: (BTC) 14RTSbmixwthDNvxcLhXvuAyQfBHGXEXTc (LTC) LbkRrDVFyjUcxbkj4KvsrTXaosPn4faDfU (NMC) NHc9Nq5EbGzsWpX3S7WLw5GSZeaingkSd2 (DASH) Xd418fCGeKrGvCyi1SdudhNzTp1n6pnURg
  10. Создание собственной (Super Node) ноды p2pool Bitcoin с объединенным майнингом. Merged Mining. Требование по железу ремендую: CPU - 4 Core ОЗУ - 8 GB HDD - SSD (это очень важно) И так приступим.... Пишу очень много по памяти так что если где-то будут ошибки пишите поправим. Предупреждаю впереди очень многа букаф!!! :blink: И еще я не писатель, а больше читатель. Делать будем все в Linux. Я рекомендую Linux на основе Ubuntu или Debian. Мои сервера работают на консольной версии Ubuntu. Но для наглядности и удобства можете начать с версии Lubuntu 14.04.01 Мне кажется самой стабильной на данный момент. Вся инструкция написана для Ubuntu Server 14.04.02 Нам нужен быстрый и легковесный сервер. Кратко о Merged это дополнительный майнинг параллельных coins не влияющий на основной процесс майнинга. Добыча идет как бы в соло. ......... Так Linux поставили. 1. Сделаем обновление системы: sudo apt-get updatesudo apt-get upgradesudo rebootsudo apt-get dist-upgradesudo reboot 2. Установим зависимости и дополнительные программы "mc" и "htop": mc (Midnight Commander) для удобства навигации в консольной версии Linux. htop (top) расширенная версия утилиты "top" для мониторинга и тонкой настройки системы. sudo apt-get install build-essential libtool autotools-dev autoconf automake libssl-dev libboost1.55-all-dev libminiupnpc-dev libqt5gui5 libqt5core5a libqt5dbus5 libglib2.0-dev libglibmm-2.4-dev libdb5.1++-dev libcurl4-openssl-dev qttools5-dev qttools5-dev-tools libprotobuf-dev libqrencode-dev pkg-config libprotoc8 protobuf-compiler git screen htop mc software-properties-common python-software-properties python-rrdtool python-pygame python-scipy python-twisted python-twisted-web python-imaging python-dev 3. Установим демон Bitcoin(BTC): sudo add-apt-repository ppa:bitcoin/bitcoin sudo apt-get update sudo apt-get install bitcoind ​ 4. Приступим к компиляции наших Merged Коинов: 4.1 Namecoin(NMC): git clone https://github.com/namecoin/namecoin.git cd namecoin/srcmake# Скопируем namecoind в папку /usr/local/bin # У меня все демоны там, можно - любое sudo cp namecoind /usr/local/bin/namecoind Внимание если "git" будет ругаться на отсутствие доступа к папке ".coinfig" то смените владельца этой папки командой: 4.2 Unobtanium(UNO) (надо делать четко по инструкции иначе не c компилируется наш демон Unobtanium): git clone https://github.com/unobtanium-official/Unobtanium.gitcd Unobtaniumchmod +x autogen.shchmod +x share/genbuild.shchmod +x src/leveldb/build_detect_platform./autogen.sh./configuremake# Скопируем unobtanium-cli, unobtaniumd в папку /usr/local/bincd Unobtanium/srcsudo cp unobtanium-cli /usr/local/bin/unobtanium-clisudo cp unobtaniumd /usr/local/bin/unobtaniumd К стати после "make" можно добавить ключ -j2 или -j4 где цифра "2 или 4" количество ядер процессора, тогда демоны будут быстрее компилироваться. 4.3 IXCoind(IXC): git clone https://github.com/FrictionlessCoin/iXcoin.gitcd iXcoin/srcmake -f makefile.unix ixcoind# Скопируем ixcoind в папку /usr/local/binsudo cp ixcoind /usr/local/bin/ixcoind 4.4 Fusioncoin(FSC): git clone https://github.com/fusioncoin/fusioncoin.gitcd fusioncoin/srcmake -f makefile.unix fusioncoind# Скопируем fusioncoind в папку /usr/local/bin/sudo cp fusioncoind /usr/local/bin/fusioncoind 4.5 I0Coin(I0C): git clone https://github.com/rsnel/i0coin.gitcd i0coin/srcmake -f makefile.unix i0coind# Скопируем i0coind в папку /usr/local/bin/sudo cp i0coind /usr/local/bin/i0coind 4.6 Huntercoin(HUC): git clone https://github.com/chronokings/huntercoin.gitcd huntercoin/srcmake# Скопируем huntercoind в папку /usr/local/bin/sudo cp huntercoind /usr/local/bin/huntercoind 4.7 Devcoin(DVC): git clone https://github.com/coinzen/devcoin.gitcd devcoin/srcmake -f makefile.unix USE_PNP=1 devcoind# Скопируем devcoind в папку /usr/local/bin/sudo cp devcoind /usr/local/bin/devcoind Так с компиляцией мы покончили. 5. Приступаем к созданию конфигов наших демонов: Создаем папки: mkdir ~/.bitcoinmkdir ~/.namecoinmkdir ~/.unobtaniummkdir ~/.ixcoinmkdir ~/.fusioncoinmkdir ~/.i0coinmkdir ~/.huntercoinmkdir ~/.devcoin 5.1 Bitcoin(BTC): # Создаем файл bitcoin.conf nano ~/.bitcoin/bitcoin.conf# Копируем туда:server=1daemon=1rpcuser=ПРИДУМАЙТЕ_СЛОЖНОЕ_ИМЯrpcpassword=ПРИДУМАЙТЕ_СЛОЖНЫЙ_ПАРОЛЬrpcport=8332port=8333rpcallowip=127.0.0.1disablewallet=1mintxfee=0.00001minrelaytxfee=0.00001# Сохраняем конфиг ("Ctrl+o" "Enter" Ctrl+x") 5.2 Namecoin(NMC): # Создаем файл namecoin.confnano ~/.namecoin/namecoin.conf# Копируем туда:server=1daemon=1rpcuser=ПРИДУМАЙТЕ_СЛОЖНОЕ_ИМЯrpcpassword=ПРИДУМАЙТЕ_СЛОЖНЫЙ_ПАРОЛЬrpcport=8336port=8334rpcallowip=127.0.0.1# Сохраняем конфиг ("Ctrl+o" "Enter" Ctrl+x") 5.3 Unobtanium(UNO): # Создаем файл unobtanium.confnano ~/.unobtanium/unobtanium.conf# Копируем туда:server=1listen=1daemon=1rpcuser=ПРИДУМАЙТЕ_СЛОЖНОЕ_ИМЯrpcpassword=ПРИДУМАЙТЕ_СЛОЖНЫЙ_ПАРОЛЬrpcport=65535port=65534rpcallow=127.0.0.1 addnode=104.131.25.221addnode=108.61.10.90addnode=137.135.57.119addnode=144.76.239.66addnode=144.76.64.123addnode=158.255.89.244addnode=162.216.4.199addnode=162.243.47.14addnode=167.114.156.87addnode=178.33.209.208addnode=178.62.145.250addnode=185.50.213.123addnode=188.138.33.239addnode=188.138.94.6addnode=192.95.29.153addnode=192.99.245.21addnode=195.117.180.229addnode=198.15.127.242addnode=199.192.77.162addnode=199.192.78.194addnode=203.206.142.19addnode=63.247.147.166addnode=64.156.193.100addnode=68.232.186.171addnode=69.197.61.58addnode=74.120.220.54addnode=74.131.163.95addnode=75.19.27.26addnode=79.251.172.84addnode=91.235.254.37addnode=92.3.42.66addnode=93.197.227.99addnode=94.23.32.109# Сохраняем конфиг ("Ctrl+o" "Enter" Ctrl+x") 5.4 IXCoin(IXC): # Создаем файл ixcoin.confnano ~/.ixcoin/ixcoin.conf# Копируем туда:server=1daemon=1rpcuser=ПРИДУМАЙТЕ_СЛОЖНОЕ_ИМЯrpcpassword=ПРИДУМАЙТЕ_СЛОЖНЫЙ_ПАРОЛЬrpcport=8338port=8337rpcallowip=127.0.0.1addnode=24.34.40.175addnode=142.4.208.71addnode=24.42.148.53addnode=184.78.215.89addnode=62.75.167.48addnode=83.163.120.176addnode=123.203.84.34addnode=86.93.208.193# Сохраняем конфиг ("Ctrl+o" "Enter" Ctrl+x") 5.5 Fusioncoin(FSC): # Создаем файл fusioncoin.confnano ~/.fusioncoin/fusioncoin.conf# Копируем туда:server=1daemon=1rpcuser=ПРИДУМАЙТЕ_СЛОЖНОЕ_ИМЯrpcpassword=ПРИДУМАЙТЕ_СЛОЖНЫЙ_ПАРОЛЬrpcport=18491port=8492rpcallowip=127.0.0.1miningalgo=sha256addnode=54.193.11.95addnode=54.255.130.210addnode=198.23.242.92addnode=121.199.12.227addnode=54.185.94.219# Сохраняем конфиг ("Ctrl+o" "Enter" Ctrl+x") 5.6 I0Coin(I0C): # Создаем файл i0coin.confnano ~/.i0coin/i0coin.conf# Копируем туда:server=1daemon=1rpcuser=ПРИДУМАЙТЕ_СЛОЖНОЕ_ИМЯrpcpassword=ПРИДУМАЙТЕ_СЛОЖНЫЙ_ПАРОЛЬrpcport=7332port=7333rpcallowip=127.0.0.1addnode=85.17.248.211:7333addnone=198.154.60.61:7333addnode=188.165.216.59:7333# Сохраняем конфиг ("Ctrl+o" "Enter" Ctrl+x") 5.7 Huntercoin(HUC): # Создаем файл huntercoin.confgedit ~/.huntercoin/huntercoin.conf# Копируем туда:server=1daemon=1rpcuser=ПРИДУМАЙТЕ_СЛОЖНОЕ_ИМЯrpcpassword=ПРИДУМАЙТЕ_СЛОЖНЫЙ_ПАРОЛЬrpcallowip=127.0.0.1rpcport=8399port=8398algo=sha256daddnode=192.241.222.65addnode=192.81.209.210addnode=178.32.31.41addnode=162.243.175.205# Сохраняем конфиг ("Ctrl+o" "Enter" Ctrl+x") 5.8 Devcoin(DVC): # Создаем файл devcoin.confgedit ~/.devcoin/devcoin.conf# Копируем туда:server=1daemon=1rpcuser=userWzorDVCrpcpassword=FCvhzdhrwq1MiPZX88YhHyKjDVsJzXFl6uirpcport=6333port=6334rpcallowip=127.0.0.1# Сохраняем конфиг ("Ctrl+o" "Enter" Ctrl+x") # Не забываем сохранять внесенную информацию!!! 6. Так файлы конфигурации создали. Сделаем базовые настройки безопасности: Так как мы тут все параноики нам нужно защитить наши честно добытые коины.Применим chmod 600 или 400 (все зависит от состояния паранойи) к нашим файлам конфигурацииПример:chmod 400 ~/.bitcoin/bitcoin.conf На основе примера повторить с остальными конфигами. 6.1 Farewell sudo ufw enablesudo ufw allow 8333/tcp # bitcoin peer to peersudo ufw allow 8334/tcp # namecoin peer to peersudo ufw allow 65534/tcp # unobtanium peer to peersudo ufw allow 8337/tcp # ixcoin peer to peersudo ufw allow 6334/tcp # devcoin peer to peersudo ufw allow 7333/tcp # i0coin peer to peersudo ufw allow 8492/tcp # fusioncoin peer to peersudo ufw allow 8398/tcp # huntercoin peer to peersudo ufw allow 9333/tcp # P2pool peer to peersudo ufw allow 9332/tcp # P2Pool connections and Web interface# Не забываем открыть эти же порты на роутере если таковой есть. RPC порты ни где не открываем!!! # Если работаем по удаленке то открываем порт sshsudo ufw allow 22/tcp 7. Приступаем к запуску демонов. Первый запуск делаем в ручную потом добавим в автозагрузку. # Запускаем демоны в терминале по очереди:bitcoindnamecoindunobtaniumd # Внимание первый запуск Unobtanium делаем с ключом -reindexixcoindfusioncoindi0coindhuntercoinddevcoind#Демоны начинают синхронизироваться с сетью. Ждем минут 5-10 и проверяем наши демоны: bitcoin-cli getinfonamecoind getinfounobtanium-cli getinfoixcoin-cli getinfofusioncoind getinfoi0coind getinfohuntercoind getinfodevcoind getinfo Демоны синхронизируется долго, несколько дней поэтому рекомендую поискать торренты с цепочкой блоков. Например Huntercoin находится здесь. И не забываем что эти файлы кроссплатформенные. Т.Е. если у вас уже есть кошельки можете перекинуть свои файлы на сервер только естественно без "wallet.dat и конфигов" 8. Создаем скрипты автостарта и остановки наших демонов: Основа скриптов это файл "skeleton" находящийся по пути /etc/init.d cd /etc/init.d/sudo cp skeleton bitcoindsudo nano bitcoind# Далее вносим следующие изменения:#! /bin/sh### BEGIN INIT INFO# Provides: bitcoind# Required-Start: $network $local_fs# Required-Stop: $remote_fs# Default-Start: 2 3 4 5# Default-Stop: 0 1 6# Short-Description: Auto start-stop bitcoind# Description: Auto start-stop bitcoind via booting system# placed in /etc/init.d.### END INIT INFO# Author: wzor <poolcrypto.org@gmail.com>## Please remove the "Author" lines above and replace them# with your own name if you copy and modify this script.# Do NOT "set -e"# PATH should only include /usr/* if it runs after the mountnfs.sh scriptPATH=/sbin:/usr/sbin:/bin:/usr/binDESC="Bitcoin Daemon"NAME=/usr/local/bin/bitcoindDAEMON=$NAMEDAEMON_ARGS="-daemon"CLI=/usr/local/bin/bitcoin-cliDAEMON_LOADER="/usr/bin/taskset 0x4 "$DAEMONPIDFILE=/var/run/$NAME.pidSCRIPTNAME=/etc/init.d/$NAMECHUID=user:group# Exit if the package is not installed[ -x "$DAEMON" ] || exit 0# Read configuration variable file if it is present[ -r /etc/default/$NAME ] && . /etc/default/$NAME# Load the VERBOSE setting and other rcS variables. /lib/init/vars.sh# Define LSB log_* functions.# Depend on lsb-base (>= 3.2-14) to ensure that this file is present# and status_of_proc is working.. /lib/lsb/init-functions## Function that starts the daemon/service#do_start(){# Return# 0 if daemon has been started# 1 if daemon was already running# 2 if daemon could not be startedstart-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON_LOADER --test > /dev/null \|| return 1start-stop-daemon --start --quiet --chuid $CHUID --pidfile $PIDFILE --exec $DAEMON_LOADER -- \$DAEMON_ARGS \|| return 2# Add code here, if necessary, that waits for the process to be ready# to handle requests from services started subsequently which depend# on this one. As a last resort, sleep for some time.}## Function that stops the daemon/service#stop_daemon_by_cli(){#[ ! -e "$PIDFILE" ] && echo "$DESC not running!" && return 0start-stop-daemon --start --chuid $CHUID --exec $CLI -- -rpcwait stopreturn 0}do_stop(){# Return# 0 if daemon has been stopped# 1 if daemon was already stopped# 2 if daemon could not be stopped# other if a failure occurredstop_daemon_by_clistart-stop-daemon --stop --quiet --chuid $CHUID --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $NAMERETVAL="$?"[ "$RETVAL" = 2 ] && return 2# Wait for children to finish too if this is a daemon that forks# and if the daemon is only ever run from this initscript.# If the above conditions are not satisfied then add some other code# that waits for the process to drop all resources that could be# needed by services started subsequently. A last resort is to# sleep for some time.start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON[ "$?" = 2 ] && return 2# Many daemons don't delete their pidfiles when they exit.rm -f $PIDFILEreturn "$RETVAL"}## Function that sends a SIGHUP to the daemon/service#do_reload() {## If the daemon can reload its configuration without# restarting (for example, when it is sent a SIGHUP),# then implement that here.#start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAMEreturn 0}case "$1" instart)[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"do_startcase "$?" in0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;esac;;stop)[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"do_stopcase "$?" in0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;esac;;status)status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?;;#reload|force-reload)## If do_reload() is not implemented then leave this commented out# and leave 'force-reload' as an alias for 'restart'.##log_daemon_msg "Reloading $DESC" "$NAME"#do_reload#log_end_msg $?#;;restart|force-reload)## If the "reload" option is implemented then remove the# 'force-reload' alias#log_daemon_msg "Restarting $DESC" "$NAME"do_stopcase "$?" in0|1)do_startcase "$?" in0) log_end_msg 0 ;;1) log_end_msg 1 ;; # Old process is still running*) log_end_msg 1 ;; # Failed to startesac;;*)# Failed to stoplog_end_msg 1;;esac;;*)#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2exit 3;;esac: # Пояснения для скрипта или что же там такое: 1.Provides - название скрипта 2. Short-Description/Description - описание того что делает данный файл, а то вдруг "забудем" или кто то другой будет разбираться. 3. DESC="Bitcoin Daemon" - описание сервиса 4. NAME=/usr/local/bin/bitcoind - имя и путь исполняемого файла 5. DAEMON=$NAME - какой демон должен запуститься 6. DAEMON_ARGS="-daemon" - задаём аргументы запуска демона, он должен стартовать режиме демона (правда можно и без этого аргумента. это я так для большей уверенности) 7. CLI=/usr/local/bin/bitcoin-cli - для остановки демона. Мы же знаем что бы остановить демон Bitcoin надо использовать "bitcoin-cli stop" 8. DAEMON_LOADER="/usr/bin/taskset 0x4 "$DAEMON - На этом пункте остановимся и распишем по подробней. Надо распределить нагрузку на сервер т.е. на его процессор и для этого нам поможет утилита "taskset". У нас есть две приоритетные задачи это ДЕМОН BITCOIN и СКРИПТ P2POOL-а. Аргумент "0x4" утилиты "taskset" запускает наш демон Bitcoin на третьем ядре процессора. Настоятельно рекомендую распределять между ядрами процессы самих демонов наших монет и скрипта p2pool-a и для повышения скорости работы пула-ноды. Как мы представляем себе четырехъядерный процессор - "1,2,3,4" это и есть ядра процессора, но это не так для системы ядро под номером "1" это "0" а в шестнадцатеричном формате это "0x00000001" или сокращенно "0x1". Идея такая у нас семь merged монет им отдадим на растерзание первые два ядра используя аргумент "0x3", для bitcoind "0x4" что заставит его работать исключительно на третьем ядре и скрипт p2pool-а "0x8" что соответствует четвертому ядру процессора. В случае когда у вас только одноядерный процессор, то в данной строке нужно удалить "/usr/bin/taskset 0x4 " оставив только $DAEMON. Если у вас процессор больше чем четырехъядерный то вам придется поискать в гугле значения ваших ядер. 9. CHUID=user:group - задаём пользователя и группу, от имени которых будет запускаться исполняемый скрипт. 9. Запуск скрипта bitcoind: # Делаем скрипт исполняемым (находимся в папке /etc/init.d)sudo chmod +x bitcoind# Выходим из папки /etc/init.d и Запускаем скрипт:/etc/init.d/bitcoind# Должна появиться строка "{start|stop|restart|reload|force-reload}" нас интересует "start" и "stop"/etc/init.d/bitcoind start# Проверяем запустился демон Bitcoin утилитой "htop"sudo htop# Если видим как на скрине то все ОК если нет ищем ошибки!!!# Остановка нашего демона /etc/init.d/bitcoind stop # Если старт-стоп происходит без ошибок добавляем скрипт а автозагрузку sudo update-rc.d bitcoind defaults # С этого момента скрипты будут стартовать и останавливаться сами (соответственно демоны коинов тоже) при включении или отключении сервера!!!# Если нужно удалить из автостарта то выполняем следующую команду sudo update-rc.d -f bitcoind remove 10. Так на основе скрипта Bitcoin делаем скрипт для запуска Unobtanim. Т.К. их демоны отличаются от других тем что используют отдельные утилиты мониторинга и контроля, это соответственно "bitcoin-cli' и "unobtanium-cli". cd /etc/init.dsudo cp bitcoind unobtaniumd# Изменяем все пункты которые связаны с bitcoin и на unobtanium и проводим те же процедуры что делали со скриптом bitcoind (пункт 9). 11. Создаем скрипт запуска Namecoin (NMC) на основе его делаем остальные: cd /etc/init.dsudo cd skeleton namecoindsudo nano namecoind# Далее вносим следующие изменения:#! /bin/sh### BEGIN INIT INFO# Provides: namecoind# Required-Start: $network $local_fs# Required-Stop: $remote_fs# Default-Start: 2 3 4 5# Default-Stop: 0 1 6# Short-Description: Auto start-stop namecoind# Description: Auto start-stop namecoind via booting system# placed in /etc/init.d.### END INIT INFO# Author: wzor <poolcrypto.org@gmail.com>## Please remove the "Author" lines above and replace them# with your own name if you copy and modify this script.# Do NOT "set -e"# PATH should only include /usr/* if it runs after the mountnfs.sh scriptPATH=/sbin:/usr/sbin:/bin:/usr/binDESC="Namecoin Daemon"NAME=/usr/local/bin/namecoindDAEMON=$NAMEDAEMON_ARGS="-daemon"DAEMON_LOADER="/usr/bin/taskset 0x3 "$DAEMONPIDFILE=/var/run/$NAME.pidSCRIPTNAME=/etc/init.d/$NAMECHUID=user:group# Exit if the package is not installed[ -x "$DAEMON" ] || exit 0# Read configuration variable file if it is present[ -r /etc/default/$NAME ] && . /etc/default/$NAME# Load the VERBOSE setting and other rcS variables. /lib/init/vars.sh# Define LSB log_* functions.# Depend on lsb-base (>= 3.2-14) to ensure that this file is present# and status_of_proc is working.. /lib/lsb/init-functions## Function that starts the daemon/service#do_start(){# Return# 0 if daemon has been started# 1 if daemon was already running# 2 if daemon could not be startedstart-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON_LOADER --test > /dev/null \|| return 1start-stop-daemon --start --quiet --chuid $CHUID --pidfile $PIDFILE --exec $DAEMON_LOADER -- \$DAEMON_ARGS \|| return 2# Add code here, if necessary, that waits for the process to be ready# to handle requests from services started subsequently which depend# on this one. As a last resort, sleep for some time.}## Function that stops the daemon/service#do_stop(){# Return# 0 if daemon has been stopped# 1 if daemon was already stopped# 2 if daemon could not be stopped# other if a failure occurredstart-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $DAEMONRETVAL="$?"[ "$RETVAL" = 2 ] && return 2# Wait for children to finish too if this is a daemon that forks# and if the daemon is only ever run from this initscript.# If the above conditions are not satisfied then add some other code# that waits for the process to drop all resources that could be# needed by services started subsequently. A last resort is to# sleep for some time.start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON[ "$?" = 2 ] && return 2# Many daemons don't delete their pidfiles when they exit.rm -f $PIDFILEreturn "$RETVAL"}## Function that sends a SIGHUP to the daemon/service#do_reload() {## If the daemon can reload its configuration without# restarting (for example, when it is sent a SIGHUP),# then implement that here.#start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAMEreturn 0}case "$1" instart)[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"do_startcase "$?" in0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;esac;;stop)[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"do_stopcase "$?" in0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;esac;;status)status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?;;#reload|force-reload)## If do_reload() is not implemented then leave this commented out# and leave 'force-reload' as an alias for 'restart'.##log_daemon_msg "Reloading $DESC" "$NAME"#do_reload#log_end_msg $?#;;restart|force-reload)## If the "reload" option is implemented then remove the# 'force-reload' alias#log_daemon_msg "Restarting $DESC" "$NAME"do_stopcase "$?" in0|1)do_startcase "$?" in0) log_end_msg 0 ;;1) log_end_msg 1 ;; # Old process is still running*) log_end_msg 1 ;; # Failed to startesac;;*)# Failed to stoplog_end_msg 1;;esac;;*)#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2exit 3;;esac: 11.1 Создаем остальные скрипты и не забываем все повторять как в пункте 9. cd /etc/init.dsudo cp namecoind fusioncoindsudo cp namecoind i0coindsudo cp namecoind ixcoindsudo cp namecoind devcoindsudo cp namecoind huntercoind# Все делаем как в пунктах 9-10 12. Наконец-то переходим к p2pool-у # Копируем p2poolgit clone https://github.com/p2pool/p2pool.git# На гитхабе есть много версий p2pool например можете скачать адаптив. Там больше выводится статистики.git clone https://github.com/amarian12/p2pool-adaptive.git# У Фореста очень простая по внешнему виду статистика поэтому поменяйте ее на более читаемую. Например:https://github.com/blixnood/P2PoolExtendedFrontEndhttps://github.com/johndoe75/p2pool-node-status# просто скачайте архив и поменяйте все в папке "web-static" 12.1 Скрипт запуска p2pool через костыль :) Скрипт создавался также для init.d но вот есть косяк. Во первых скрипт упорно не хочет ждать остальных демонов и запускается раньше и это не смотря на то что в нем прописан аргумент "$all". Второй это то что "python" (скрипт p2pool написан на нем) должен стартовать через утилиту "screen" а думать куда ее туда воткнуть у меня больше нет сил. И если честно я че-то утомился от этих скриптов. Поэтому я решил запускать этот скрипт другим скриптом. # Скрипт основной. Создаем папку например "scripts'# Ниже разберем что там и как.mkdir ~/scriptscd scriptsnano run-p2pool# Далее вносим следующие изменения:#! /bin/sh### BEGIN INIT INFO# Provides: p2pool start# Required-Start: $all# Required-Stop: $remote_fs# Default-Start: 2 3 4 5# Default-Stop: 0 1 6# Short-Description: Auto init p2pool start# Description: Auto init p2pool start via booting system# placed in /etc/init.d.### END INIT INFO# Author: wzor <poolcrypto.org@gmail.com>## Please remove the "Author" lines above and replace them# with your own name if you copy and modify this script.# Do NOT "set -e"# PATH should only include /usr/* if it runs after the mountnfs.sh scriptPATH=/sbin:/usr/sbin:/bin:/usr/binDESC="P2Pool Start"NAME=pythonDAEMON=/usr/bin/$NAMEDAEMON_ARGS="/home/user/p2pool/run_p2pool.py --net bitcoin --give-author 0 rpcuser rpcpass -a your_wallet_btc --merged http://user:pass@127.0.0.1:8336/ --merged http://user:pass@127.0.0.1:65535/ --merged http://user:pass@127.0.0.1:18491/ --merged http://user:pass@127.0.0.1:8338/ --merged http://user:pass@127.0.0.1:7332/ --merged http://user:pass@127.0.0.1:8399/ --merged http://user:pass@127.0.0.1:6333/ --max-conns 100 --outgoing-conns 10 --fee 0"DAEMON_LOADER="/usr/bin/taskset 0x8 "$DAEMONPIDFILE=/var/run/$NAME.pidSCRIPTNAME=/home/user/script/$NAMECHUID=user:group# Exit if the package is not installed[ -x "$DAEMON" ] || exit 0# Read configuration variable file if it is present[ -r /etc/default/$NAME ] && . /etc/default/$NAME# Load the VERBOSE setting and other rcS variables. /lib/init/vars.sh# Define LSB log_* functions.# Depend on lsb-base (>= 3.2-14) to ensure that this file is present# and status_of_proc is working.. /lib/lsb/init-functions## Function that starts the daemon/service#do_start(){# Return# 0 if daemon has been started# 1 if daemon was already running# 2 if daemon could not be startedstart-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON_LOADER --test > /dev/null \|| return 1start-stop-daemon --start --quiet --chuid $CHUID --pidfile $PIDFILE --exec $DAEMON_LOADER -- \$DAEMON_ARGS \|| return 2# Add code here, if necessary, that waits for the process to be ready# to handle requests from services started subsequently which depend# on this one. As a last resort, sleep for some time.}## Function that stops the daemon/service#do_stop(){# Return# 0 if daemon has been stopped# 1 if daemon was already stopped# 2 if daemon could not be stopped# other if a failure occurredstart-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $DAEMONRETVAL="$?"[ "$RETVAL" = 2 ] && return 2# Wait for children to finish too if this is a daemon that forks# and if the daemon is only ever run from this initscript.# If the above conditions are not satisfied then add some other code# that waits for the process to drop all resources that could be# needed by services started subsequently. A last resort is to# sleep for some time.start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON[ "$?" = 2 ] && return 2# Many daemons don't delete their pidfiles when they exit.rm -f $PIDFILEreturn "$RETVAL"}## Function that sends a SIGHUP to the daemon/service#do_reload() {## If the daemon can reload its configuration without# restarting (for example, when it is sent a SIGHUP),# then implement that here.#start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAMEreturn 0}case "$1" instart)[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"do_startcase "$?" in0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;esac;;stop)[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"do_stopcase "$?" in0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;esac;;status)status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?;;#reload|force-reload)## If do_reload() is not implemented then leave this commented out# and leave 'force-reload' as an alias for 'restart'.##log_daemon_msg "Reloading $DESC" "$NAME"#do_reload#log_end_msg $?#;;restart|force-reload)## If the "reload" option is implemented then remove the# 'force-reload' alias#log_daemon_msg "Restarting $DESC" "$NAME"do_stopcase "$?" in0|1)do_startcase "$?" in0) log_end_msg 0 ;;1) log_end_msg 1 ;; # Old process is still running*) log_end_msg 1 ;; # Failed to startesac;;*)# Failed to stoplog_end_msg 1;;esac;;*)#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2exit 3;;esac: # Разберем что там и как: Основные пункты уже понятны они встречались выше. DAEMON_ARGS="/home/user/p2pool/run_p2pool.py ------------ это с какими параметрами должен запуститься скрипт p2pool. В этом пункте: --net bitcoin ---------------------------------------------------------------- пул работает с сетью BItcoin. --give-author 0 ------------------------------------------------------------ донат создателю p2pool (на ваше усмотрение) rpcuser rpcpass -----------------------------------------------------------логин и пароль из вашего конфига Bitcoin -a your_wallet_btc ------------------------------------------------------- ваш внешний кошель куда будут падать Bitcoin если предусмотрена комиссия пула. --merged http://user:pass@127.0.0.1:8336/ ------------------------merged - для того чтобы скрипт p2pool-а понял что у нас майнинг с параллельной добычей. user:pass ------------------------------------------------------------------ логин и пароль из конфигов наших merged coins. --max-conns 100 --outgoing-conns 10-------------------------------наше количество соединений ноды с сетью. Это с какой скоростью мы буем давать знать о найденных шарах-блоках. (Этот пункт обсудим еще чуть позже) --fee 0-----------------------------------------------------------------------Комиссия ноды. # С этим скриптом проделываем то же самое что и в п. 9. Кроме добавления в update-rc.d 12.2 Костыль (скрипт запускающий скрипт) :D # Этот скрипит дает возможность запустить основной скрипт через утилиту "screen" с задержкой в 180 секунд (можете поставить любое на ваше усмотрение, но помните что наши коины по разному синхронизируются с сетью) cd /etc/init.dsudo cp skeleton start-p2pool# Приводим к виду:#! /bin/sh### BEGIN INIT INFO# Provides: start-p2pool# Required-Start: $all# Required-Stop: $local_fs $remote_fs# Default-Start: 2 3 4 5# Default-Stop: 0 1 6# Short-Description: start-p2pool# Description: This runs a script "run-p2pool" in screen.### END INIT INFOcase "$1" instart)echo "Starting P2Pool"sleep 180screen -dmS p2pool /home/user/scripts/run-p2pool start;;stop)echo "Stopping P2Pool"/home/user/scripts/run-p2pool stop;;*)N=/etc/init.d/$NAMEecho "Usage: $N {start|stop}" >&2exit 1;;esacexit 0# Для него так же повторяем пункт 9. # и так подводим потихоньку итоги. ! Мы собрали демоны наших коинов ! Создали скрипты автостарта демонов с распределением их по ядрам процессора. Теперь будем делать оптимизацию ноды. Для ноды очень важен интернет не мегабиты, а getwork latency (не путать с пингом). Что это такое кратко можно понять из текста ниже (текст не мой) # Только это не относиться к майнерам, а от ноды к ноде. И так делаем дополнительные изменения в конфиге bitcoin. Если с инетом все ОК. Можно добавить: blockmaxsize=1000000 По умолчанию 750000. Это увеличит объем проводимых транзакций через наш демон bitcoin. И должен соответственно увеличить наш доход. Если инет не очень то можно поставить ниже чем "по умолчанию" - 250000. Рекомендую так же уменьшить количество соединений демона bitcoin с сетью. По умолчанию 125. maxconnections=25 Можно поставить 25-45. Это ограничит скачивание с нашей ноды blockchain. Помните в конфиге запуска скрипта p2pool мы указывали значения --max-conns 100 --outgoing-conns 10. По умолчанию эти значения равны 40 и 6 соответственно. Можно так же их уменьшить. Все это будет влиять на getwork latency а она очень влияет на DOA на нашей ноде. Подбирайте лучшие значения для своих условий. Если самый худший вариант с инетом то вот самые минимальные значения: Для Bitcoin: blockmaxsize=250000 maxconnections=8 mintxfee=0.0005 minrelaytxfee=0.0005 Для p2pool: --max-conns 8 --outgoing-conns 4 Помним если поставим все по минимуму мы повысим скорость ноды. Но понизим свой доход. Надо найти золотую середину. # И напоследок уж совсем тонкая настройка. Воспользуемся командой "nice" для увеличения приоритета. Запустим "htop" И на выбранном процессе клавишей "F7" увеличим приоритет демону bitcoin и python до -10 (в данном случае чем меньше значение тем больше приоритет, так что не удивляемся знаку "минус") (см. скрин выше "htop") Какие недочеты: Даже наверное это важно надо создать отдельного пользователя и группу для всего выше изложенного. Т.Е. сделать разделение между администратором сервера и как бы пулом. Это для повышения безопасности. Кому лень собирать демоны вот архив с уже готовыми демонами - кроме Bitcoin. # Пока Финиш. Будут дополнения соответственно допишу. #### Если это кому-то помогло меня можно отблагодарить :) на кошелек 14RTSbmixwthDNvxcLhXvuAyQfBHGXEXTc
  11. До сервера 2 канала. На одном канале DNS имя crypto.office-on-the.net со статическим IP адресом, на втором DNS имя crypto.mine.nu с динамическим IP(смена адреса один раз в месяц). Чтобы выбрать на каком канале копать выполните пинг на указанные DNS имена: ping crypto.office-on-the.netи ping crypto.mine.nuКопайте на том, где пинг меньше. Список нод: Auroracoin [AUR](groestl), форум https://bitcointalk.org/index.php?topic=1044432.0 офф. сайт http://auroracoin.is/ http://crypto.office-on-the.net:12351 || http://crypto.mine.nu:12351 sgminer --algorithm myriadcoin-groestl -o stratum+tcp://crypto.office-on-the.net:12351 -u AuroraCoinaddress -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce или sgminer --algorithm myriadcoin-groestl -o stratum+tcp://crypto.mine.nu:12351 -u AuroraCoinaddress -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce Auroracoin [AUR](qubit), форум https://bitcointalk.org/index.php?topic=1044432.0 офф. сайт http://auroracoin.is/http://crypto.office-on-the.net:12355 || http://crypto.mine.nu:12355 sgminer --algorithm qubitcoin -o stratum+tcp://crypto.office-on-the.net:12355 -u AuroraCoinaddress -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce или sgminer --algorithm qubitcoin -o stratum+tcp://crypto.mine.nu:12355 -u AuroraCoinaddress -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce Auroracoin [AUR](scrypt), форум https://bitcointalk.org/index.php?topic=1044432.0 офф. сайт http://auroracoin.is/http://crypto.office-on-the.net:12347 || http://crypto.mine.nu:12347 cgminer --scrypt -o stratum+tcp://crypto.office-on-the.net:12347 -u AuroraCoinaddress -p x --expiry 1 --scan-time 1 --queue 0 или cgminer --scrypt -o stratum+tcp://crypto.mine.nu:12347 -u AuroraCoinaddress -p x --expiry 1 --scan-time 1 --queue 0 Auroracoin [AUR](sha256d), форум https://bitcointalk.org/index.php?topic=1044432.0 офф. сайт http://auroracoin.is/http://crypto.office-on-the.net:12349 || http://crypto.mine.nu:12349 cgminer -o stratum+tcp://crypto.office-on-the.net:12349 -u AuroraCoinaddress -p x --expiry 1 --scan-time 1 --queue 0 или cgminer -o stratum+tcp://crypto.mine.nu:12349 -u AuroraCoinaddress -p x --expiry 1 --scan-time 1 --queue 0 Auroracoin [AUR](skein), форум https://bitcointalk.org/index.php?topic=1044432.0 офф. сайт http://auroracoin.is/http://crypto.office-on-the.net:12353 || http://crypto.mine.nu:12353 cgminer --skein -o stratum+tcp://crypto.office-on-the.net:12353 -u AuroraCoinaddress -p x --expiry 1 --scan-time 1 --queue 0 или cgminer --skein -o stratum+tcp://crypto.mine.nu:12353 -u AuroraCoinaddress -p x --expiry 1 --scan-time 1 --queue 0 BelaCoin [bELA], форум https://bitcointalk.org/index.php?topic=1801610.0 офф. сайт http://belacoin.org/http://crypto.office-on-the.net:7878 || http://crypto.mine.nu:7878 cgminer --skein -o stratum+tcp://crypto.office-on-the.net:7878 -u Ваш_BELA_адрес -p x --expiry 1 --scan-time 1 --queue 0 или cgminer --skein -o stratum+tcp://crypto.mine.nu:7878 -u Ваш_BELA_адрес -p x --expiry 1 --scan-time 1 --queue 0 Bitcoin [bTC], сайт https://bitcointalk.orghttp://crypto.office-on-the.net:9332 || http://crypto.mine.nu:9332 cgminer -o stratum+tcp://crypto.office-on-the.net:9332 -u bitcoinaddress -p x --expiry 1 --scan-time 1 --queue 0 или cgminer -o stratum+tcp://crypto.mine.nu:9332 -u bitcoinaddress -p x --expiry 1 --scan-time 1 --queue 0 Bitcoin [bTC], p2pool(1mb_hardforked), сайт https://bitcointalk.orghttp://crypto.office-on-the.net:9334 || http://crypto.mine.nu:9334 cgminer -o stratum+tcp://crypto.office-on-the.net:9334 -u bitcoinaddress -p x --expiry 1 --scan-time 1 --queue 0 или cgminer -o stratum+tcp://crypto.mine.nu:9334 -u bitcoinaddress -p x --expiry 1 --scan-time 1 --queue 0 DASH, сайт http://dash.org.ru/http://crypto.office-on-the.net:7903 sgminer -k x11mod -o stratum+tcp://crypto.office-on-the.net:7903 -u DASHaddress -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce или sgminer -k x11mod -o stratum+tcp://crypto.mine.nu:7903 -u DASHaddress -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce DigiByte[DGB](GROESTL), форум https://bitcointalk.org/index.php?topic=414592.0 офф. сайт https://digibyte.co/http://crypto.office-on-the.net:5021 || http://crypto.mine.nu:5021 sgminer --algorithm myriadcoin-groestl -o stratum+tcp://crypto.office-on-the.net:5021 -u DigiByteAddress -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce или sgminer --algorithm myriadcoin-groestl -o stratum+tcp://crypto.mine.nu:5021 -u DigiByteAddress -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce DigiByte[DGB](QUBIT), форум https://bitcointalk.org/index.php?topic=414592.0 офф. сайт https://digibyte.co/http://crypto.office-on-the.net:5023 || http://crypto.mine.nu:5023 sgminer --algorithm qubitcoin -o stratum+tcp://crypto.office-on-the.net:5023 -u DigiByteAddress -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce или sgminer --algorithm qubitcoin -o stratum+tcp://crypto.mine.nu:5023 -u DigiByteAddress -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce DigiByte[DGB](SCRYPT), форум https://bitcointalk.org/index.php?topic=414592.0 офф. сайт https://digibyte.co/http://crypto.office-on-the.net:5025 || http://crypto.mine.nu:5025 cgminer --scrypt -o stratum+tcp://crypto.office-on-the.net:5025 -u Your_DGB_address -p x --expiry 1 --scan-time 1 --queue 0 или cgminer --scrypt -o stratum+tcp://crypto.mine.nu:5025 -u Your_DGB_address -p x --expiry 1 --scan-time 1 --queue 0 DigiByte[DGB](SHA256D), форум https://bitcointalk.org/index.php?topic=414592.0 офф. сайт https://digibyte.co/http://crypto.office-on-the.net:5027 || http://crypto.mine.nu:5027 cgminer -o stratum+tcp://crypto.office-on-the.net:5027 -u Your_DGB_address -p x --expiry 1 --scan-time 1 --queue 0 или cgminer -o stratum+tcp://crypto.mine.nu:5027 -u Your_DGB_address -p x --expiry 1 --scan-time 1 --queue 0 DigiByte[DGB](SKEIN), форум https://bitcointalk.org/index.php?topic=414592.0 офф. сайт https://digibyte.co/http://crypto.office-on-the.net:5029 || http://crypto.mine.nu:5029 cgminer --skein -o stratum+tcp://crypto.office-on-the.net:5029 -u Your_DGB_address -p x --expiry 1 --scan-time 1 --queue 0 или cgminer --skein -o stratum+tcp://crypto.mine.nu:5029 -u Your_DGB_address -p x --expiry 1 --scan-time 1 --queue 0 Emerald [EMD](scrypt), форум https://bitcointalk.org/index.php?topic=724463.0http://crypto.office-on-the.net:12125 || http://crypto.mine.nu:12125 cgminer --scrypt -o stratum+tcp://crypto.office-on-the.net:12125 -u Ваш_EMD_адрес -p x --expiry 1 --scan-time 1 --queue 0 или cgminer --scrypt -o stratum+tcp://crypto.mine.nu:12125 -u Ваш_EMD_адрес -p x --expiry 1 --scan-time 1 --queue 0 GoldCoin [GLD](scrypt), форум https://bitcointalk.org/index.php?topic=317568.0http://crypto.office-on-the.net:8124 || http://crypto.mine.nu:8124 cgminer --scrypt -o stratum+tcp://crypto.office-on-the.net:8124 -u Ваш_GLD_адрес -p x --expiry 1 --scan-time 1 --queue 0 или cgminer --scrypt -o stratum+tcp://crypto.mine.nu:8124 -u Ваш_GLD_адрес -p x --expiry 1 --scan-time 1 --queue 0 HiroCoin [HIRO](X11), форум https://bitcointalk.org/index.php?topic=787471.0http://crypto.office-on-the.net:9408 LiteCoin [LTC](scrypt), сайт https://litecoin.com/ http://crypto.office-on-the.net:9327 cgminer --scrypt -o stratum+tcp://crypto.office-on-the.net:9327 -u Ваш_LTC_адрес -p x --expiry 1 --scan-time 1 --queue 0 или cgminer --scrypt -o stratum+tcp://crypto.mine.nu:9327 -u Ваш_LTC_адрес -p x --expiry 1 --scan-time 1 --queue 0 NovaCoin [NVC](scrypt), форум https://bitcointalk.org/index.php?topic=1615088.0http://crypto.office-on-the.net:8336 || http://crypto.mine.nu:8336 cgminer --scrypt -o stratum+tcp://crypto.office-on-the.net:8336 -u Ваш_NVC_адрес -p x --expiry 1 --scan-time 1 --queue 0 или cgminer --scrypt -o stratum+tcp://crypto.mine.nu:8336 -u Ваш_NVC_адрес -p x --expiry 1 --scan-time 1 --queue 0 VertCoin [VTC](Lyra2REv2), форум https://bitcointalk.org/index.php?topic=1828453.0http://crypto.office-on-the.net:9171 || http://crypto.mine.nu:9171 sgminer -k Lyra2REv2 -o stratum+tcp://crypto.office-on-the.net:9171 -u Ваш_VTC_адрес -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce или sgminer -k Lyra2REv2 -o stratum+tcp://crypto.mine.nu:9171 -u Ваш_VTC_адрес -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonceP2pool для майнеров с низким хешрейтом: http://crypto.office-on-the.net:9181 || http://crypto.mine.nu:9181 sgminer -k Lyra2REv2 -o stratum+tcp://crypto.office-on-the.net:9181 -u Ваш_VTC_адрес -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonce или sgminer -k Lyra2REv2 -o stratum+tcp://crypto.mine.nu:9181 -u Ваш_VTC_адрес -p x --expiry 1 --scan-time 1 --queue 0 --no-extranonceТолько для тех кто арендует мощности на https://www.nicehash.com (уже писал в теме про nicehash, повторюсь):Есть маленькая фишечка при подключении к п2пулам. Если просто указать адрес своего кошелька и попытаться подключиться к п2пулу, то nicehash будет на большинство п2пулов ругаться, что недостаточная сложность у п2пула. Для того, чтобы такого не происходило Вы должны задать сложность при подключении к P2Pool ноде. Добавьте строку '+сложность' к вашему имени пользователя(для п2пулов это адрес вашего кошелька). Например, если вы покупаете 2THs на SHA256 то имя пользователя при подключении к п2пулу должно быть таким: 'Ваш-Bitcoin-адрес+1024'. Типичные диапазоны сложности (не знаю как здесь таблички рисовать, буду отделять пробелами): Скорость майнера Scrypt NScrypt X11 X13 0MHs-1MHs: d=256 d=128 d=0.01 d=0.01 1MHs-2MHs: d=512 d=256 d=0.02 d=0.02 2MHs-4MHs: d=1024 d=512 d=0.04 d=0.04 4MHs-8MHs: d=2048 d=1024 d=0.08 d=0.08 8MHs-16MHs: d=4096 d=2048 d=0.16 d=0.16 16MHs-32MHs: d=8192 d=4096 d=0.32 d=0.32 32MHs-64MHs: d=16384 d=8192 d=0.64 d=0.64 64MHs-128MHs: d=32768 d=16384 d=1.28 d=1.28 Для SHA256: Скорость до 100GHs: d=128; Скорость 100-500GHs: d=256; Скорость 500GHs-1THs: d=512; Скорость 1THs+: d=1024 --- Помогу желающим поднять свою ноду п2пула. Минимальная конфигурация сервера: проц 64 битный 4 ядра, 12 гигабайт ОЗУ, SSD от 60GB (зависит от размера блокчейна кошельков). Установленная OC: linux ubuntu server, образ с крайней LTS версией брать здесь http://www.ubuntu.com/download/server Дополнительные пакеты: при установке OS выбрать дополнительно openssh-server, либо доставить потом командой apt-get install openssh-server Сеть: серверу очень желательно иметь реальный IP. Логин, пароль и IP кидайте в личку. По завершению установки меняете пароль командой passwd Многим сразу ставить не смогу, думаю парочку в неделю. Благодарность приветствуется, в BTC на этот адрес 1Pf6QNDWA4akv4vCvMcnRCbkXMpMpvxbio
  12. Darkcoin (DRK) нода на p2pool. X11. Комиссия 1% Система выплат PPLNS Поддержка stratum Адрес: drkpool.hopto.org:7903 Намайненое начисляется на адрес вашего кошелька, указанного в настройках майнера. Примеры настройки майнеров: sgminer.exe -k darkcoin -o stratum+tcp://drkpool.hopto.org:7903 -u адрес_вашего_DRK_кошелька -p любой_пароль
  13. Часто возникает ситуация когда есть монетка которую можно помайнить но нет "живых" пулов на которых эта монетка майнится. При это сложность достаточно велика и в соло не помайнишь. Предлагаю собирать здесь ссылки на сервисы помогающие отыскивать именно работающие пулы Вот парочка для начала: http://bitmakler.com/pools http://p2pools.org/
  14. p2pool: http://crypto.office-on-the.net:8347Строка запуска майнера для CPU: minerd -a X11 -o http://crypto.office-on-the.net:8347 -u <Ваш_DarkCoin_Адрес> -p x Строка запуска майнера для GPU: sgminer.exe --kernel darkcoin -o http://crypto.office-on-the.net:8347 [другие_опции] Образец конфига для sgminer: {"pools" : [ { "url" : "http://crypto.office-on-the.net:8347", "user" : "Ваш_DarkCoin_Адрес", "pass" : "x" }],"intensity" : "16","vectors" : "1","worksize" : "256","kernel" : "darkcoin","thread-concurrency" : "8192","gpu-threads" : "2","gpu-engine" : "950","auto-fan" : true,"gpu-fan" : "70-100","gpu-memclock" : "1500","expiry" : "30","scan-time" : "15","kernel-path" : "/usr/local/bin"} Бумажник здесь: http://globaldenomination.org/index.php/started/downloadsФорум (англ): https://bitcointalk.org/index.php?topic=578574.0Примерная конфигурация кошелька: rpcuser=Имя_Пользователяrpcpassword=Парольlisten=1daemon=1server=1rpcallowip=127.0.0.1rpcallowip=192.168.0.*rpcport=38347port=38348addnode=67.215.8.91addnode=188.226.175.6addnode=54.187.174.245
  15. На удаленном сервере поднята p2pool нода. Все работает. (4 * AntMiner s1 180Gh = 720Gh)Pасход трафика, от майнеров к ноде, вырос катастрофически (более чем в 10 раз, по сравнению с "классическим" пулом )...Я подозреваю, что майнеры подключаются к ноде по HTTP/GetWork. В веб морде майнеров, определить протокол, по которому работает майнер нельзя. подключиля по ssh, смотрел cgminer журнала не ведет...Как бы стратум прикрутить к ноде?stratum-mining-proxy смотрел, но как понял из описания, он наоборот стратум в HTTP конвертирует (если правильно понял, kонечо)?На Гитхабе, в описании p2pool смотрел, вроде как поддерживает и Getwork и stratum?Но как подкючиться именно по стратум?Заранее спасибо!------И еще спрошу, у кого какой трафик на какую мощость?
  16. Приглашаю майнить ещё одну "холодную" монетку, WildWestCoin Мой p2pool: http://dr-nona.office-on-the.net:6768 (ссылки на исходники пула, бумажника и GPU майнера в верхней части страницы) Официальный форум (там же актуальные ссылки на кошелёк): https://bitcointalk.org/index.php?topic=607493.0 Биржа: https://www.bittrex.com/Market/Index?MarketName=BTC-WEST Для тех, кто решит поднять свой п2пул WEST: В исходниках п2пула "/p2pool/bitcoin/networks.py" ссылки на блок эксплорер пустые, нужно изменить на это: BLOCK_EXPLORER_URL_PREFIX='http://cryptexplorer.com/block/', ADDRESS_EXPLORER_URL_PREFIX='http://cryptexplorer.com/address/', TX_EXPLORER_URL_PREFIX='http://cryptexplorer.com/tx/', Ну и не забудьте расширить список пиров в "/p2pool/networks.py" BOOTSTRAP_ADDRS='p2poolcoin.com dr-nona.office-on-the.net'.split(' '), ...и опубликовать здесь свой адрес, для расширения списка. Для майнеров: Строка запуска майнера для CPU: minerd -a X11 -o http://dr-nona.office-on-the.net:6768 -u <КОШЕЛЁК> -p x Строка запуска майнера для GPU: sgminer -k darkcoin -o http://dr-nona.office-on-the.net:6768 -u WALLET -p x При запуске майнера для GPU советую использовать список из нескольких пулов: Для этого в конфиге (sgminer.conf) нужно указать сразу несколько пулов и одну из стратегий: FAILOVER: (стратегия по умолчанию, достаточно указать список пулов) Майнер будет использовать первый указанный пул, несмотря на лаги, пока тот не отвалится совсем. Только после этого майнер перейдет ко второму, третьему и т.д. Но как только первый поднялся он вернётся к нему. ROUND ROBIN: "round-robin" : true, Майнер переключится на второй пул если первый упал. ROTATE: "rotate" : 30, Майнер переключается между пулами с указанным интервалом LOAD BALANCE: "load-balance" : true, По моему опыту самая лучшая стратегия. В этом случае майнер вначале работает сразу на всех указанных пулах, но постепенно всё больше приоритета отдаёт более отзывчивому (тому где получает больше шар). Если какой-то пул отвалится то работа распределится между оставшимися. BALANCE: "balance" : true, Нагрузка делится равномерно между всеми работающими пулами. Вот мой конфиг для WEST (не забудьте заменить мой кошель на свой): { "pools" : [ { "url" : "http://dr-nona.office-on-the.net:6768", "user" : "WmFdrD8WHmLkCHz9Vhu4qSvmtFgMCWPomE", "pass" : "x" }, { "url" : "http://p2poolcoin.com:6768", "user" : "WmFdrD8WHmLkCHz9Vhu4qSvmtFgMCWPomE", "pass" : "x" } ] , "load-balance" : true, .... остальные опции... Для тех, кто майнит на CPU со стратегией посложнее - надо будет разобраться со скриптом Miner Failover Script (обсуждение здесь: https://bitcointalk.org/index.php?topic=74941.0) Кроме огромного повышения стабильности в применении стратегии есть ещё один приятный момент: при майнинге на связанных п2пулах не имеет значения где была заработана шара (база данных одна для всех пулов), соответственно при переходе от одного пула к другому выплаты сохраняются и их не надо будет зарабатывать с нуля. Буду рад, если добавите мой пул в свой список.
  17. LTC пул с практически 100% аптаймом собран на Debian + p2pool адрес статистики: http://pool64.tk:9327/static/ комиссия 1% (без скрытых комиссий и пр. все по честному =1%) настройки майнера bfgminer --scrypt -o http://pool64.tk:9327 -u адрес_кошелька -p любой_пароль сgminer --scrypt -o http://pool64.tk:9327 -u адрес_кошелька -p любой_пароль адрес для выплат лучше использовать локального кошелька, т.к. у биржи есть ограничение на ввод доп инфо: на текущий момент это развивающийся проект. планируется увеличение числа валют, повышение стабильности >100% uptime. обертка и модули статистики. email для связи admin@pool64.tk
  18. Готов представить вам P2POOL для добычи LITECOIN Адрес пула: http://cryptofanat.no-ip.org:9327/static/ Комиссия 1% Подключиться можно вот так: cgminer --scrypt -o stratum+tcp://cryptofanat.no-ip.org:9327 -u номер_вашего_лайткоин_кошелька -p любой Поддержка cgminer(AMD), cudaminer(NVIDIA), cpuminer(CPU)
  19. В ближайшее время узел завершит свою работу! Адреса узлов: DogeCoin (DOGE) - http://doge.p2nex.net:9555 Расположение: Киев, Украина Комиссия: 1 % Как и на всех узлах P2Pool, на моём:не требуется регистрации при нахождении блока причитающиеся вам монеты сразу записываются на ваш адрес как "добытые", не проходя через чей-то кошелёк сложность псевдошар настраивается под ваш хеш-рейт Приведу примеры командной строки для некоторых майнеров. В Windows удобно поместить их в файл .cmd или .bat, рекомендуется предварить строками setx GPU_MAX_ALLOC_PERCENT 100 setx GPU_USE_SYNC_OBJECTS 1Примеры для DOGE: cgminer --scrypt -Q 0 -g 1 --no-submit-stale -o doge.p2nex.net:9555 -u ADDR -p anypw cudaminer -o doge.p2nex.net:9555 -O ADDR:anypwПримеры для LEAF: cgminer --scrypt -Q 0 -g 1 --no-submit-stale -o leaf.p2nex.net:9166 -u ADDR -p anypw cudaminer -o leaf.p2nex.net:9166 -O ADDR:anypw Не забудьте заменить ADDR адресом вашего кошелька соответствующей монеты (адреса обменников не подходят) ! Ещё более надёжно указать несколько (3-4) узлов вашему майнеру. В случае, если на одном узле произойдёт сбой - переключение на другие "спасёт" работу вашего майнера. Для cgminer и DOGE это может быть сделано так: cgminer --scrypt -Q 0 -g 1 --no-submit-stale -o doge.p2nex.net:9555 -u ADDR -p anypw -o p2pool.name:9555 -u ADDR -p anypw -o doge-eu.crypto49er.com:9555 -u ADDR -p anypw --failover-onlyДля cgminer и LEAF: cgminer --scrypt -Q 0 -g 1 --no-submit-stale -o leaf.p2nex.net:9166 -u ADDR -p anypw -o taken.pl:9166 -u ADDR -p anypw -o solidpool.org:9166 -u ADDR -p anypw --failover-only Не забудьте заменить ADDR адресом вашего кошелька соответствующей монеты (адреса обменников не подходят) !
  20. Запустил ноду p2pool [ЗАКРЫТО] Находится в Питере с хорошим каналом и низким пингом Статистика: ----- Мощность: 0 gh/s (В ближайшие дни как минимум будет 30) Комиссия: 0.25% Как подключиться? Указываем ip и порт в майнере: ----- Имя воркера: биткоин адрес (Адрес с биржы использовать нельзя!) Пароль: любой (можно пустой) Если возникнут вопросы пишите в личку.
  21. Приветствую участников! В данный момент доступны ноды для DASH, FTC, VTC Весь список рабочих нод. Список нод VTC p2pool. Комиссия 1%; Система выплат PPLNS; Поддержка stratum; Хороший канал с минимальными задержками; Вопросы и пожелания в личные сообщения. Намайненое сразу начисляется в кошелек. (Указывать кошелек биржи нельзя, только локальный) Далее можно переводить заработанное в ваш кошелек на бирже и обменять на нужную вам валюту по выгодной цене. На бирже можно настроить автопродажу валюты, т.е. вы отправили, биржа приняла и сразу продала-конвертировала куда вы укажете. Для мониторинга вашей фермы рекомендую воспользоваться удобным монитором. Калькулятор криптовалют. Узнать где обменять например здесь. Решение вопросов по зависшим транзакциям хорошо описано в этой статье. CPU Майнер для X11 X64 можно взять здесь. CPU Майнер для x32 здесь. Актуальные майнеры для X11 [DASH] смотрите здесь. Актуальные майнеры для NeoScrypt [FTC] смотрите здесь. Актуальные майнеры для Lyra2REv2 [VTC] смотрите здесь. Всем удачи! Новости: 17.11.2017 - DASH Нода обновлена, текущая версия 0.12.2.1. Обновляйте с официального сайта www.dash.org 27.09.2017 - VTC Нода перенесена на новый сервер (Заменен канал связи (повышена скорость, уменьшено время отклика), увеличенная производительность сервера.) Заменен канал связи (повышена скорость, уменьшено время отклика) Увеличена производительность сервера. 24.04.2017 - VTC Нода обновлена, текущая версия 0.11.1. Обновляйте с официального сайта vertcoin.org. 09.02.2017 - Добавлена нода для добычи Vertcoin [VTC]. 07.02.2017 - FTC Нода обновлена, текущая версия 0.9.6. Обновляйте с официального сайта www.feathercoin.com 06.06.2016 - Добавлена нода для FeatherCoin [FTC] 01.06.2016 - Нода переехала на новый домен dash.mypool.xyz. ...
  22. Добавлена нода BTC+NMC http://multi-p2pool.org:9332 Для получения NMC Обязательно сообщите ваши адреса BTC и NMC Награда будет распределяться в зависимости от вашей мощности BTC при нахождении блока Если что то не получается, пишите в разделе форума, в ЛС или Skype. Так же рекомендую включить уведомления о новых сообщениях в теме. Я постояно мониторю ноду. У когото фермы начинаю флудить. Я сразу отписываю Сайт: http://multi-p2pool.org Нода DOGE Нода LTC Нода WDC Нода BTC Особенности Комиссия 1% Система зачислении PPLNS (Pay-Per-Last-N-Shares) Выплаты идут на ваш кошелёк Постоянная техническая поддерхка как на форуме, так и в skype - dvj-black Простейший вариант настройки cgminer BTC cgminer --scrypt -o http://multi-p2pool.org:9332 -u Ваш_кошелёк_DOGE_ не_биржи -p любой_пароль Скачать каошелёк Скачать кошелёк NMC DOGEcoin cgminer --scrypt -o http://multi-p2pool.org:9555 -u Ваш_кошелёк_DOGE_ не_биржи -p любой_пароль Скачать кошелёк LTC cgminer --scrypt -o http://multi-p2pool.org:9327 -u Ваш_кошелёк_LTC_ не_биржи -p любой_пароль Скачать кошелёк WDC cgminer --scrypt -o http://multi-p2pool.org:9377 -u Ваш_кошелёк_WDC_ не_биржи -p любой_пароль Скачать кошелёк Что такое P2Pool Что необходимо для майнинга DOGEcoin 1. Кошелек 2. Майнинг Данная нода создавалась при участии и осуществлении технической поддержки General Beck тема на форуме
  23. Приветствую участников! Сделал новую ноду для майнинга Litecoin, хороший канал с минимальными задержками, хороший сервер (если нужно ресурсы добавляются без проблем). Подключаться можно по адресу: http://pool.2sar.ru:9327 (stratum+tcp://pool.2sar.ru:9327) Пример: cgminer --scrypt -o stratum+tcp://pool.2sar.ru:9327 -u номер-вашего-кошелька-LTC -p любой cgminer --scrypt -o http://pool.2sar.ru:9327 -u номер-вашего-кошелька-LTC -p любой Намайненое сразу начисляется в кошелек. (Указывать кошелек биржи нельзя, только локальный) Комиссия 1%, за сервер и канал связи пока нужно платить, надеюсь после нового года этот пункт упразднится. Статистику можно посмотреть здесь. Посмотреть список других нод и их параметры можно здесь.
  24. Я новичек в этом, не подскажите Я запустил guiminer ,вел кошелек ,адрес,майнинг пошел ,кажет скорость 300 ,найдено около 1000, когда у http://p2pool.org выплаты какую минималку нужно набрать,не понято че то? И подскажите нормальный пул!
  25. p2pool на p2pool.ru В ассортименте Bitcoin, Litecoin, Terracoin, Feathercoin, CHNcoin, Mincoin, Freicoin, BBQcoin. Все параметры от p2pool. Комиссия 1% Мгновенные выплаты на ваш кошелек. Велком.
×